sys-freebsd/freebsd-lib: Remove last-rited pkg
authorMichał Górny <mgorny@gentoo.org>
Fri, 11 Oct 2019 15:15:09 +0000 (17:15 +0200)
committerMichał Górny <mgorny@gentoo.org>
Fri, 11 Oct 2019 15:16:42 +0000 (17:16 +0200)
Closes: https://bugs.gentoo.org/683284
Signed-off-by: Michał Górny <mgorny@gentoo.org>
37 files changed:
profiles/info_pkgs
profiles/package.mask
sys-freebsd/freebsd-lib/Manifest [deleted file]
sys-freebsd/freebsd-lib/files/bootpd.confd [deleted file]
sys-freebsd/freebsd-lib/files/bootpd.initd [deleted file]
sys-freebsd/freebsd-lib/files/freebsd-lib-11.0-bsdxml2expat.patch [deleted file]
sys-freebsd/freebsd-lib/files/freebsd-lib-11.0-libproc-libcxx.patch [deleted file]
sys-freebsd/freebsd-lib/files/freebsd-lib-11.0-workaround.patch [deleted file]
sys-freebsd/freebsd-lib/files/freebsd-lib-11.1-elf-nhdr.patch [deleted file]
sys-freebsd/freebsd-lib/files/freebsd-lib-11.1-liblink.patch [deleted file]
sys-freebsd/freebsd-lib/files/freebsd-lib-6.0-flex-2.5.31.patch [deleted file]
sys-freebsd/freebsd-lib/files/freebsd-lib-6.0-pmc.patch [deleted file]
sys-freebsd/freebsd-lib/files/freebsd-lib-6.1-csu.patch [deleted file]
sys-freebsd/freebsd-lib/files/freebsd-lib-7.1-types.h-fix.patch [deleted file]
sys-freebsd/freebsd-lib/files/freebsd-lib-8.0-gcc45.patch [deleted file]
sys-freebsd/freebsd-lib/files/freebsd-lib-9.0-bluetooth.patch [deleted file]
sys-freebsd/freebsd-lib/files/freebsd-lib-9.0-cve-2010-2632.patch [deleted file]
sys-freebsd/freebsd-lib/files/freebsd-lib-9.0-liblink.patch [deleted file]
sys-freebsd/freebsd-lib/files/freebsd-lib-9.0-netware.patch [deleted file]
sys-freebsd/freebsd-lib/files/freebsd-lib-9.0-opieincludes.patch [deleted file]
sys-freebsd/freebsd-lib/files/freebsd-lib-9.1-.eh_frame_hdr-fix.patch [deleted file]
sys-freebsd/freebsd-lib/files/freebsd-lib-9.1-aligned_alloc.patch [deleted file]
sys-freebsd/freebsd-lib/files/freebsd-lib-9.1-rmgssapi.patch [deleted file]
sys-freebsd/freebsd-lib/files/freebsd-lib-add-nossp-cflags.patch [deleted file]
sys-freebsd/freebsd-lib/files/freebsd-lib-bsdxml2expat.patch [deleted file]
sys-freebsd/freebsd-lib/files/freebsd-lib-includes.patch [deleted file]
sys-freebsd/freebsd-lib/files/freebsd-sources-9.0-sysctluint.patch [deleted file]
sys-freebsd/freebsd-lib/files/libusb-1.0.pc.in [deleted file]
sys-freebsd/freebsd-lib/files/libusb.pc.in [deleted file]
sys-freebsd/freebsd-lib/files/rquotad.xinetd [deleted file]
sys-freebsd/freebsd-lib/files/rstatd.xinetd [deleted file]
sys-freebsd/freebsd-lib/files/rusersd.xinetd [deleted file]
sys-freebsd/freebsd-lib/files/sprayd.xinetd [deleted file]
sys-freebsd/freebsd-lib/files/walld.xinetd [deleted file]
sys-freebsd/freebsd-lib/freebsd-lib-11.1-r1.ebuild [deleted file]
sys-freebsd/freebsd-lib/freebsd-lib-9.1-r11.ebuild [deleted file]
sys-freebsd/freebsd-lib/metadata.xml [deleted file]

index b90b3c6011526ea3def5301a0e4558c44e593af6..fc75b02ca9a9de58649d02a9134bc9dc4ac9396b 100644 (file)
@@ -10,7 +10,6 @@ sys-libs/glibc
 sys-libs/musl
 sys-libs/uclibc
 sys-libs/uclibc-ng
-sys-freebsd/freebsd-lib
 sys-devel/binutils
 sys-devel/libtool
 sys-devel/make
index 9b939a586eef70e6c95c85261ac0d7a38371fa37..0c6ff57cd4ab84ac6d05bab8f80ba55a5626f0ab 100644 (file)
@@ -750,7 +750,6 @@ dev-libs/actor-framework
 # Removal in 30 days.  Bug #683284.
 sys-freebsd/boot0
 sys-freebsd/freebsd-cddl
-sys-freebsd/freebsd-lib
 
 # Lars Wendler <polynomial-c@gentoo.org> (2019-09-04)
 # Unofficial build. Superseded by official 2.49.5 release.
diff --git a/sys-freebsd/freebsd-lib/Manifest b/sys-freebsd/freebsd-lib/Manifest
deleted file mode 100644 (file)
index 8f845c3..0000000
+++ /dev/null
@@ -1,11 +0,0 @@
-DIST freebsd-cddl-9.1.tar.bz2 899348 BLAKE2B 419e475b4c3debacd0d0fbbad4d1b13685c1c5ac741cc8cfb53dadce9d30cf9ddd7132ef8ab897787be538028d34bb9603eb76caf7650f4f50bb3295f19bf035 SHA512 ae0a969e710785bbcf36a2ec22cc5b1dcdb25398be951e047a1237d0c977e38fc9e05504db51f8bf9ed83bc1f68b04fc88ce18fc48a93f785b8a3f8ef481bacd
-DIST freebsd-contrib-9.1.tar.bz2 54751432 BLAKE2B 8a30e78021e6388d679637d2dbe0ed3f4896d3902064baaafa79de9c328171cbcb895b0ffd3d0d0cd3ca25c93a73584ed4900b45bd672a73b15b75721de59de5 SHA512 71be13049258c6e6b5e4f63cc16da5d349a89d68f04d87446e4ad33ae8bf2a93ea67d9c256b7bec60b61e65db0487268070cfb77a484c3ac0f8ba368b48c2438
-DIST freebsd-crypto-9.1.tar.bz2 5682828 BLAKE2B f6b14f5319932b8680a79abab41ff6b447045464992ad8a22ebc0a6bf89f60559881ed34a26639d5d09af7b66972d2105181186c4cb42c5d6fdbf65b342ae38a SHA512 40c7a8150fb3ddd93488502a976ce03e992e6f4fb28aa3e5e102d4915f8ff49fe9085995ccfecacefc3b665e23c85cc3a0cdeec20a32c79e04458f7cc88630d9
-DIST freebsd-etc-9.1.tar.bz2 207776 BLAKE2B 61fbfa11dfcd24c007c20940a4b7cc802dfb9a991e41433840c57f113eaaa9e2b833a15f48d60c706e55d941b0a999baabd0c33197cffd522b67c57eaa9460f1 SHA512 4fbe56fde519cf2f44e39a8869efa26c34f703cf540f4a83389da8d170873d7c6fb18e4010e643b8d793cfc5c55d15eeb198057a5b2a8da9d9e8f791801bf314
-DIST freebsd-gnu-9.1.tar.bz2 795778 BLAKE2B a922a8bd2c8a7ddbac757e7db900109918bf214a34988adb45bdb11e5c829445cac9b13b0ed27ec62603aeae1e3230af362682182494db0ec95ff47cbfd7d927 SHA512 b05f2a5a10bdaeef19dfd0e962bc09f1571288a831e9345f404b920037f47db5c0ca3d620d1cbdd138b18bca1c3feab5b211b57e3041727341e5238cb9feb4fd
-DIST freebsd-include-9.1.tar.bz2 146881 BLAKE2B 3db8570a8c841ec1c9ceff479bd0ef9b146b2a343d6596892c9d8a9f9193404f6c62712cb96d7416c6e5cc4c46e7fb942421c47e1bc2c707dde534e2050be442 SHA512 779c8315ce2b10b343bb62e331525d510b0d68ce5d665a1672bd6f4d1eff6445bc6b7a0f178b319828aa203c4e4c04c561ce793052703f4f936ce9711280a0c9
-DIST freebsd-lib-9.1.tar.bz2 3206685 BLAKE2B 67f93b7951fc03e877ee525d53b81ba49c8c1a70041c30aac97665d5dab7b3f2817fdb3bbb1475be66c33a7f996309e9020f1a3d1154fab8e2f6789f5ae0bb18 SHA512 40d0c36b6b889c404fa0e0afa38ba4e84a55bc88ffa2f98a70afbd7a32c4f32c158617ba770567d082a986d62c09b3ec8db3dc5ab853ee1c9bbe0b90bb82396e
-DIST freebsd-libexec-9.1.tar.bz2 304592 BLAKE2B 994543ac910e4703d36682f6c0550596e340605754b9386770660f0ed0e70f8d437185f2010e6be795a8cc508aa7d69c90cc0a0df968c5dd8de4c5c4bb38e8c2 SHA512 7baa4160dda2610250dd52f445e24478e0f1ea10bce21fcd0e5d1b856f399b896adc334114de0c7f61a5637e4349bb1688fdbe5c72798d8568ae791114710b92
-DIST freebsd-src-11.1.tar.xz 147661560 BLAKE2B a9e6ba9d0e12c8b56ac58575d5f02931edbb6a3545d9dccae78810d2d0470a29b29dd7f724b03b8afafbca23717a71346e4cfbd3530e0f40118a23609c3f414e SHA512 b97707ec7a601ca6bcb682c45f6d94a38484301ac24630d7285eff6f88b027ce6900c93fc62f8ce36e0cf32c91f73a9d1c999db397b7f8782fd74a8551a03aca
-DIST freebsd-sys-9.1.tar.bz2 32588103 BLAKE2B 7f94a4735c6a17b39a86fa0fda0682924b18e4b466dc6319a5df889522aaeaffaa87e1b76582c48ae034df8c20169c8cea93bbd3d6e7abd0526716686f88dfe8 SHA512 7dc9d9e00dde8f592bb171f4386d02b655b73cb4f153fe5ec063d010a148ef0639eae0dcdb3eeb09ecd1e3653c69e49a2d261329fa6d0381d2ddabe258ddde6d
-DIST freebsd-usbin-9.1.tar.bz2 2670916 BLAKE2B 353c7e641c0cccf25b99cb454368bd3001cd6b85a15956b1ee2de1ab240c420602e04bf6d0389aca0bdd4f7d1206a6848516e58a17eda4881d849f078b71a139 SHA512 21c234312f70eb35cd2926519efc1f61592892f5d0940786dbeb959c3c5ec7819a51ae95c6e8a1a06aa01f669350fe0fd3dd7c4ec8a84dd6b90f24cb192356ca
diff --git a/sys-freebsd/freebsd-lib/files/bootpd.confd b/sys-freebsd/freebsd-lib/files/bootpd.confd
deleted file mode 100644 (file)
index 6d238e4..0000000
+++ /dev/null
@@ -1,7 +0,0 @@
-# Configuration file for /etc/init.d/bootpd
-
-# Name of the configuration file for bootpd
-# bootptab_file="/etc/bootptab"
-
-# Options to pass to bootpd. See bootpd(8).
-# bootpd_opts=""
diff --git a/sys-freebsd/freebsd-lib/files/bootpd.initd b/sys-freebsd/freebsd-lib/files/bootpd.initd
deleted file mode 100644 (file)
index 82288eb..0000000
+++ /dev/null
@@ -1,27 +0,0 @@
-#!/sbin/openrc-run
-# Copyright 2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-depend() {
-        need net
-}
-
-start() {
-       local bootptab=${bootptab_file:-/etc/bootptab}
-
-       if ! [ -f "${bootptab}" ]; then
-               eerror "Unable to find the bootptab file: ${bootptab}"
-               eend 1
-               return 1
-       fi
-
-       ebegin "Starting BOOTP server"
-       start-stop-daemon --start --exec /usr/libexec/bootpd -- ${bootpd_opts} ${bootptab}
-       eend $?
-}
-
-stop() {
-       ebegin "Stopping BOOTP server"
-       start-stop-daemon --stop --exec /usr/libexec/bootpd
-       eend $?
-}
diff --git a/sys-freebsd/freebsd-lib/files/freebsd-lib-11.0-bsdxml2expat.patch b/sys-freebsd/freebsd-lib/files/freebsd-lib-11.0-bsdxml2expat.patch
deleted file mode 100644 (file)
index 41a394b..0000000
+++ /dev/null
@@ -1,39 +0,0 @@
-diff --git a/lib/libgeom/geom_xml2tree.c b/lib/libgeom/geom_xml2tree.c
-index 9dedb8e..d96420c 100644
---- a/lib/libgeom/geom_xml2tree.c
-+++ b/lib/libgeom/geom_xml2tree.c
-@@ -43,7 +43,7 @@
- #include <sys/sbuf.h>
- #include <sys/sysctl.h>
- #include <err.h>
--#include <bsdxml.h>
-+#include <expat.h>
- #include <libgeom.h>
- struct mystate {
-diff --git a/lib/libmt/mtlib.c b/lib/libmt/mtlib.c
-index d1fc0b1..89ac55e 100644
---- a/lib/libmt/mtlib.c
-+++ b/lib/libmt/mtlib.c
-@@ -48,7 +48,7 @@ __FBSDID("$FreeBSD: stable/10/lib/libmt/mtlib.c 280438 2015-03-24 14:36:10Z ken
- #include <unistd.h>
- #include <stdint.h>
- #include <errno.h>
--#include <bsdxml.h>
-+#include <expat.h>
- #include <mtlib.h>
- /*
-diff --git a/lib/lib80211/lib80211_regdomain.c b/lib/lib80211/lib80211_regdomain.c
-index c500d3f..fe1d37e 100644
---- a/lib/lib80211/lib80211_regdomain.c
-+++ b/lib/lib80211/lib80211_regdomain.c
-@@ -40,7 +40,7 @@ static const char rcsid[] = "$FreeBSD: stable/11/lib/lib80211/lib80211_regdomain
- #include <err.h>
- #include <unistd.h>
--#include <bsdxml.h>
-+#include <expat.h>
- #include "lib80211_regdomain.h"
diff --git a/sys-freebsd/freebsd-lib/files/freebsd-lib-11.0-libproc-libcxx.patch b/sys-freebsd/freebsd-lib/files/freebsd-lib-11.0-libproc-libcxx.patch
deleted file mode 100644 (file)
index 013ad20..0000000
+++ /dev/null
@@ -1,13 +0,0 @@
-diff --git a/lib/libproc/Makefile b/lib/libproc/Makefile
-index e3b2578..acd76e8 100644
---- a/lib/libproc/Makefile
-+++ b/lib/libproc/Makefile
-@@ -18,7 +18,7 @@ CFLAGS+=     -I${.CURDIR}
- .if ${MK_CXX} == "no"
- CFLAGS+=      -DNO_CXA_DEMANGLE
--.elif ${MK_LIBCPLUSPLUS} != "no"
-+.elif ${COMPILER_TYPE} == "clang"
- LIBADD+=              cxxrt
- .else
- LIBADD+=      supcplusplus
diff --git a/sys-freebsd/freebsd-lib/files/freebsd-lib-11.0-workaround.patch b/sys-freebsd/freebsd-lib/files/freebsd-lib-11.0-workaround.patch
deleted file mode 100644 (file)
index 05f817e..0000000
+++ /dev/null
@@ -1,12 +0,0 @@
-diff --git a/lib/libdevdctl/event.cc b/lib/libdevdctl/event.cc
-index a8cb447..d56df2e 100644
---- a/lib/libdevdctl/event.cc
-+++ b/lib/libdevdctl/event.cc
-@@ -50,6 +50,7 @@
- #include <syslog.h>
- #include <unistd.h>
-+#include <cstdio>
- #include <cstdarg>
- #include <cstring>
- #include <iostream>
diff --git a/sys-freebsd/freebsd-lib/files/freebsd-lib-11.1-elf-nhdr.patch b/sys-freebsd/freebsd-lib/files/freebsd-lib-11.1-elf-nhdr.patch
deleted file mode 100644 (file)
index a00df5f..0000000
+++ /dev/null
@@ -1,10 +0,0 @@
---- a/sys/sys/elf_common.h     2018/01/18 20:45:41     328136
-+++ b/sys/sys/elf_common.h     2018/01/18 21:19:57     328137
-@@ -51,6 +51,7 @@
-       u_int32_t       n_descsz;       /* Length of descriptor. */
-       u_int32_t       n_type;         /* Type of this note. */
- } Elf_Note;
-+typedef Elf_Note Elf_Nhdr;
- /*
-  * Option kinds.
diff --git a/sys-freebsd/freebsd-lib/files/freebsd-lib-11.1-liblink.patch b/sys-freebsd/freebsd-lib/files/freebsd-lib-11.1-liblink.patch
deleted file mode 100644 (file)
index b1fe703..0000000
+++ /dev/null
@@ -1,142 +0,0 @@
-diff --git a/lib/libmt/Makefile b/lib/libmt/Makefile
-index a6efe28..f60919a 100644
---- a/lib/libmt/Makefile
-+++ b/lib/libmt/Makefile
-@@ -6,6 +6,7 @@ SHLIBDIR?=     /lib
- SRCS=         mtlib.c
- INCS=         mtlib.h
-+CFLAGS+=      -I${.CURDIR}
- LIBADD=               sbuf bsdxml
- MAN=          mt.3
-diff --git a/lib/libsysdecode/Makefile b/lib/libsysdecode/Makefile
-index ce89201..ba78ae4 100644
---- a/lib/libsysdecode/Makefile
-+++ b/lib/libsysdecode/Makefile
-@@ -9,7 +9,7 @@ SRCS=  errno.c flags.c ioctl.c signal.c syscallnames.c utrace.c
- INCS= sysdecode.h
- CFLAGS+= -I${.OBJDIR}
--CFLAGS+= -I${SRCTOP}/sys
-+CFLAGS+= -I${SRCTOP}/sys -I${.CURDIR}
- CFLAGS+= -I${SRCTOP}/libexec/rtld-elf
- MAN=  sysdecode.3 \
-diff --git a/lib/libdpv/Makefile b/lib/libdpv/Makefile
-index 280f7de..d0663b0 100644
---- a/lib/libdpv/Makefile
-+++ b/lib/libdpv/Makefile
-@@ -11,6 +11,7 @@ LIBADD=      dialog figpar util ncursesw
- SRCS=         dialog_util.c dialogrc.c dprompt.c dpv.c status.c util.c
--CFLAGS+=      -I${.CURDIR}
-+CFLAGS+=      -I${.CURDIR} -I${.CURDIR}/../libfigpar
-+LDFLAGS+=     -L${.OBJDIR}/../libfigpar
- .include <bsd.lib.mk>
-diff --git a/lib/libcasper/libcasper/Makefile b/lib/libcasper/libcasper/Makefile
-index 1064ada..32a2e66 100644
---- a/lib/libcasper/libcasper/Makefile
-+++ b/lib/libcasper/libcasper/Makefile
-@@ -18,6 +18,7 @@ INCS+=       libcasper_service.h
- LIBADD=       nv
- CFLAGS+=-I${.CURDIR}
-+LDFLAGS+=-L${.OBJDIR}/../../libnv
- MAN+= libcasper.3
-diff --git a/lib/libcasper/services/cap_dns/Makefile b/lib/libcasper/services/cap_dns/Makefile
-index bf6bed5..baeecbe 100644
---- a/lib/libcasper/services/cap_dns/Makefile
-+++ b/lib/libcasper/services/cap_dns/Makefile
-@@ -14,5 +14,6 @@ INCS=        cap_dns.h
- LIBADD=       nv
- CFLAGS+=-I${.CURDIR}
-+LDFLAGS+=-L${.OBJDIR}/../../../libnv
- .include <bsd.lib.mk>
-diff --git a/lib/libcasper/services/cap_grp/Makefile b/lib/libcasper/services/cap_grp/Makefile
-index 78a860a..dfb4911 100644
---- a/lib/libcasper/services/cap_grp/Makefile
-+++ b/lib/libcasper/services/cap_grp/Makefile
-@@ -14,5 +14,6 @@ INCS=        cap_grp.h
- LIBADD=       nv
- CFLAGS+=-I${.CURDIR}
-+LDFLAGS+=-L${.OBJDIR}/../../../libnv
- .include <bsd.lib.mk>
-diff --git a/lib/libcasper/services/cap_pwd/Makefile b/lib/libcasper/services/cap_pwd/Makefile
-index e4df38b..64d7709 100644
---- a/lib/libcasper/services/cap_pwd/Makefile
-+++ b/lib/libcasper/services/cap_pwd/Makefile
-@@ -14,5 +14,6 @@ INCS=        cap_pwd.h
- LIBADD=       nv
- CFLAGS+=-I${.CURDIR}
-+LDFLAGS+=-L${.OBJDIR}/../../../libnv
- .include <bsd.lib.mk>
-diff --git a/lib/libcasper/services/cap_random/Makefile b/lib/libcasper/services/cap_random/Makefile
-index d69c160..658be9c 100644
---- a/lib/libcasper/services/cap_random/Makefile
-+++ b/lib/libcasper/services/cap_random/Makefile
-@@ -14,5 +14,6 @@ INCS=        cap_random.h
- LIBADD=       nv
- CFLAGS+=-I${.CURDIR}
-+LDFLAGS+=-L${.OBJDIR}/../../../libnv
- .include <bsd.lib.mk>
-diff --git a/lib/libcasper/services/cap_sysctl/Makefile b/lib/libcasper/services/cap_sysctl/Makefile
-index 2471e65..b20a342 100644
---- a/lib/libcasper/services/cap_sysctl/Makefile
-+++ b/lib/libcasper/services/cap_sysctl/Makefile
-@@ -14,5 +14,6 @@ INCS=        cap_sysctl.h
- LIBADD=       nv
- CFLAGS+=-I${.CURDIR}
-+LDFLAGS+=-L${.OBJDIR}/../../../libnv
- .include <bsd.lib.mk>
-diff --git a/lib/libc/Makefile b/lib/libc/Makefile
-index 1cf73a7..f1c2bc8 100644
---- a/lib/libc/Makefile
-+++ b/lib/libc/Makefile
-@@ -51,6 +51,7 @@ CFLAGS+=${CANCELPOINTS_CFLAGS}
- #
- LDFLAGS+= -nodefaultlibs
- LIBADD+=      compiler_rt
-+LDFLAGS+=     -L${.OBJDIR}/../libcompiler_rt
- .if ${MK_SSP} != "no"
- LIBADD+=      ssp_nonshared
-diff --git a/lib/libcompiler_rt/Makefile b/lib/libcompiler_rt/Makefile
-index 4da1166..b34297a 100644
---- a/lib/libcompiler_rt/Makefile
-+++ b/lib/libcompiler_rt/Makefile
-@@ -11,6 +11,7 @@ CFLAGS+=     ${PICFLAG}
- CFLAGS+=      -fvisibility=hidden
- CFLAGS+=      -DVISIBILITY_HIDDEN
- CFLAGS+=      -I${SRCTOP}/contrib/libcxxrt
-+LDFLAGS+=     -L${.OBJDIR}/../libc
- .if ${COMPILER_TYPE} == "clang"
- CWARNFLAGS.gcc_personality_v0.c+= -Wno-typedef-redefinition
-diff --git a/lib/libcam/Makefile b/lib/libcam/Makefile
-index 310c9a2..86a5e8c 100644
---- a/lib/libcam/Makefile
-+++ b/lib/libcam/Makefile
-@@ -40,6 +40,7 @@ MLINKS+=     cam.3 cam_open_device.3 \
-               ${SRCTOP}/sys/cam
- CFLAGS+=      -I${.CURDIR} -I${SRCTOP}/sys
-+LDFLAGS+=     -L${.OBJDIR}/../libsbuf
- SHLIB_MAJOR=  7
diff --git a/sys-freebsd/freebsd-lib/files/freebsd-lib-6.0-flex-2.5.31.patch b/sys-freebsd/freebsd-lib/files/freebsd-lib-6.0-flex-2.5.31.patch
deleted file mode 100644 (file)
index 00de8a6..0000000
+++ /dev/null
@@ -1,13 +0,0 @@
-Index: fbsd-6/lib/libipsec/policy_token.l
-===================================================================
---- fbsd-6.orig/lib/libipsec/policy_token.l
-+++ fbsd-6/lib/libipsec/policy_token.l
-@@ -138,8 +138,6 @@ void
- __policy__strbuffer__init__(msg)
-       char *msg;
- {
--      if (yy_current_buffer)
--              yy_delete_buffer(yy_current_buffer);
-       strbuffer = (YY_BUFFER_STATE)yy_scan_string(msg);
-       yy_switch_to_buffer(strbuffer);
diff --git a/sys-freebsd/freebsd-lib/files/freebsd-lib-6.0-pmc.patch b/sys-freebsd/freebsd-lib/files/freebsd-lib-6.0-pmc.patch
deleted file mode 100644 (file)
index 2f6de46..0000000
+++ /dev/null
@@ -1,13 +0,0 @@
-Index: freebsd-6.0_beta4/lib/libpmc/Makefile
-===================================================================
---- freebsd-6.0_beta4.orig/lib/libpmc/Makefile
-+++ freebsd-6.0_beta4/lib/libpmc/Makefile
-@@ -9,6 +9,8 @@ WARNS?=        6
- MAN=  pmc.3 pmclog.3
-+CFLAGS+= -I${.CURDIR}
-+
- MLINKS+= \
-       pmc.3 pmc_allocate.3 \
-       pmc.3 pmc_attach.3 \
diff --git a/sys-freebsd/freebsd-lib/files/freebsd-lib-6.1-csu.patch b/sys-freebsd/freebsd-lib/files/freebsd-lib-6.1-csu.patch
deleted file mode 100644 (file)
index 075f278..0000000
+++ /dev/null
@@ -1,20 +0,0 @@
---- lib/csu/amd64/Makefile.orig        2006-07-04 07:49:58 -0300
-+++ lib/csu/amd64/Makefile     2006-07-04 07:50:15 -0300
-@@ -16,6 +16,7 @@
-       ${CC} ${CFLAGS} -DGCRT -c -o gcrt1.o ${.CURDIR}/crt1.c
- realinstall:
-+      ${INSTALL} -d ${DESTDIR}${LIBDIR}
-       ${INSTALL} -o ${LIBOWN} -g ${LIBGRP} -m ${LIBMODE} \
-           ${OBJS} ${DESTDIR}${LIBDIR}
---- lib/csu/sparc64/Makefile.orig      2006-10-06 15:13:55 +0100
-+++ lib/csu/sparc64/Makefile   2006-10-06 15:15:06 +0100
-@@ -15,6 +15,7 @@
-       ${CC} ${CFLAGS} -DGCRT -c -o gcrt1.o ${.ALLSRC}
- realinstall:
-+      ${INSTALL} -d ${DESTDIR}${LIBDIR}
-       ${INSTALL} -o ${LIBOWN} -g ${LIBGRP} -m ${LIBMODE} \
-           ${OBJS} ${DESTDIR}${LIBDIR}
diff --git a/sys-freebsd/freebsd-lib/files/freebsd-lib-7.1-types.h-fix.patch b/sys-freebsd/freebsd-lib/files/freebsd-lib-7.1-types.h-fix.patch
deleted file mode 100644 (file)
index 8de5df2..0000000
+++ /dev/null
@@ -1,15 +0,0 @@
-Fixes a compile error if XOPEN_SOURCE 600 is defined.
-
-See: http://www.mailinglistarchive.com/freebsd-current@freebsd.org/msg15011.html
-
---- sys/sys/types.h.orig
-+++ sys/sys/types.h
-@@ -46,7 +46,7 @@
- #include <sys/_pthreadtypes.h>
--#if __BSD_VISIBLE
-+#ifndef _POSIX_SOURCE
- typedef       unsigned char   u_char;
- typedef       unsigned short  u_short;
- typedef       unsigned int    u_int;
diff --git a/sys-freebsd/freebsd-lib/files/freebsd-lib-8.0-gcc45.patch b/sys-freebsd/freebsd-lib/files/freebsd-lib-8.0-gcc45.patch
deleted file mode 100644 (file)
index 2ddb9ea..0000000
+++ /dev/null
@@ -1,28 +0,0 @@
-diff -Nur work.orig/include/rpcsvc/nis.x work/include/rpcsvc/nis.x
---- work.orig/include/rpcsvc/nis.x     2009-10-25 10:10:29.000000000 +0900
-+++ work/include/rpcsvc/nis.x  2011-04-13 21:25:13.000000000 +0900
-@@ -399,10 +399,7 @@
- %#define OARIGHTS(d, n) (((d)->do_armask.do_armask_val+n)->oa_rights)
- %#define WORLD_DEFAULT (NIS_READ_ACC)
- %#define GROUP_DEFAULT (NIS_READ_ACC << 8)
--%#define OWNER_DEFAULT ((NIS_READ_ACC +\
--                       NIS_MODIFY_ACC +\
--                       NIS_CREATE_ACC +\
--                       NIS_DESTROY_ACC) << 16)
-+%#define OWNER_DEFAULT ((NIS_READ_ACC + NIS_MODIFY_ACC + NIS_CREATE_ACC + NIS_DESTROY_ACC) << 16)
- %#define DEFAULT_RIGHTS (WORLD_DEFAULT | GROUP_DEFAULT | OWNER_DEFAULT)
- %
- %/* Result manipulation defines ... */
-@@ -431,10 +428,8 @@
- % * these definitions they take an nis_object *, and an int and return
- % * a u_char * for Value, and an int for length.
- % */
--%#define ENTRY_VAL(obj, col) \
--      (obj)->EN_data.en_cols.en_cols_val[col].ec_value.ec_value_val
--%#define ENTRY_LEN(obj, col) \
--      (obj)->EN_data.en_cols.en_cols_val[col].ec_value.ec_value_len
-+%#define ENTRY_VAL(obj, col) (obj)->EN_data.en_cols.en_cols_val[col].ec_value.ec_value_val
-+%#define ENTRY_LEN(obj, col) (obj)->EN_data.en_cols.en_cols_val[col].ec_value.ec_value_len
- %
- %#ifdef __cplusplus
- %}
diff --git a/sys-freebsd/freebsd-lib/files/freebsd-lib-9.0-bluetooth.patch b/sys-freebsd/freebsd-lib/files/freebsd-lib-9.0-bluetooth.patch
deleted file mode 100644 (file)
index cf1172a..0000000
+++ /dev/null
@@ -1,12 +0,0 @@
-diff -Nur lib.orig/libsdp/Makefile lib/libsdp/Makefile
---- lib.orig/libsdp/Makefile   2012-12-25 20:28:50.000000000 +0900
-+++ lib/libsdp/Makefile        2012-12-25 20:31:19.000000000 +0900
-@@ -5,7 +5,7 @@
- MAN=          sdp.3
- WARNS?=               2
--CFLAGS+=      -I${.CURDIR}
-+CFLAGS+=      -I${.CURDIR} -I${.CURDIR}/../libbluetooth
- SHLIB_MAJOR=  4
diff --git a/sys-freebsd/freebsd-lib/files/freebsd-lib-9.0-cve-2010-2632.patch b/sys-freebsd/freebsd-lib/files/freebsd-lib-9.0-cve-2010-2632.patch
deleted file mode 100644 (file)
index ad9b960..0000000
+++ /dev/null
@@ -1,215 +0,0 @@
-Index: lib/libc/gen/glob.c
-===================================================================
---- lib/libc/gen/glob.c        (revision 246357)
-+++ lib/libc/gen/glob.c        (working copy)
-@@ -94,6 +94,25 @@ __FBSDID("$FreeBSD$");
- #include "collate.h"
-+/*
-+ * glob(3) expansion limits. Stop the expansion if any of these limits
-+ * is reached. This caps the runtime in the face of DoS attacks. See
-+ * also CVE-2010-2632
-+ */
-+#define       GLOB_LIMIT_BRACE        128     /* number of brace calls */
-+#define       GLOB_LIMIT_PATH         65536   /* number of path elements */
-+#define       GLOB_LIMIT_READDIR      16384   /* number of readdirs */
-+#define       GLOB_LIMIT_STAT         1024    /* number of stat system calls */
-+#define       GLOB_LIMIT_STRING       ARG_MAX /* maximum total size for paths */
-+
-+struct glob_limit {
-+      size_t  l_brace_cnt;
-+      size_t  l_path_lim;
-+      size_t  l_readdir_cnt;  
-+      size_t  l_stat_cnt;     
-+      size_t  l_string_cnt;
-+};
-+
- #define       DOLLAR          '$'
- #define       DOT             '.'
- #define       EOS             '\0'
-@@ -153,15 +172,18 @@ static const Char *g_strchr(const Char *, wchar_t)
- static Char   *g_strcat(Char *, const Char *);
- #endif
- static int     g_stat(Char *, struct stat *, glob_t *);
--static int     glob0(const Char *, glob_t *, size_t *);
--static int     glob1(Char *, glob_t *, size_t *);
--static int     glob2(Char *, Char *, Char *, Char *, glob_t *, size_t *);
--static int     glob3(Char *, Char *, Char *, Char *, Char *, glob_t *, size_t *);
--static int     globextend(const Char *, glob_t *, size_t *);
--static const Char *   
-+static int     glob0(const Char *, glob_t *, struct glob_limit *);
-+static int     glob1(Char *, glob_t *, struct glob_limit *);
-+static int     glob2(Char *, Char *, Char *, Char *, glob_t *,
-+    struct glob_limit *);
-+static int     glob3(Char *, Char *, Char *, Char *, Char *, glob_t *,
-+    struct glob_limit *);
-+static int     globextend(const Char *, glob_t *, struct glob_limit *);
-+static const Char *
-                globtilde(const Char *, Char *, size_t, glob_t *);
--static int     globexp1(const Char *, glob_t *, size_t *);
--static int     globexp2(const Char *, const Char *, glob_t *, int *, size_t *);
-+static int     globexp1(const Char *, glob_t *, struct glob_limit *);
-+static int     globexp2(const Char *, const Char *, glob_t *, int *,
-+    struct glob_limit *);
- static int     match(Char *, Char *, Char *);
- #ifdef DEBUG
- static void    qprintf(const char *, Char *);
-@@ -171,8 +193,8 @@ int
- glob(const char * __restrict pattern, int flags,
-        int (*errfunc)(const char *, int), glob_t * __restrict pglob)
- {
-+      struct glob_limit limit = { 0, 0, 0, 0, 0 };
-       const char *patnext;
--      size_t limit;
-       Char *bufnext, *bufend, patbuf[MAXPATHLEN], prot;
-       mbstate_t mbs;
-       wchar_t wc;
-@@ -186,11 +208,10 @@ glob(const char * __restrict pattern, int flags,
-                       pglob->gl_offs = 0;
-       }
-       if (flags & GLOB_LIMIT) {
--              limit = pglob->gl_matchc;
--              if (limit == 0)
--                      limit = ARG_MAX;
--      } else
--              limit = 0;
-+              limit.l_path_lim = pglob->gl_matchc;
-+              if (limit.l_path_lim == 0)
-+                      limit.l_path_lim = GLOB_LIMIT_PATH;
-+      }
-       pglob->gl_flags = flags & ~GLOB_MAGCHAR;
-       pglob->gl_errfunc = errfunc;
-       pglob->gl_matchc = 0;
-@@ -243,11 +264,17 @@ glob(const char * __restrict pattern, int flags,
-  * characters
-  */
- static int
--globexp1(const Char *pattern, glob_t *pglob, size_t *limit)
-+globexp1(const Char *pattern, glob_t *pglob, struct glob_limit *limit)
- {
-       const Char* ptr = pattern;
-       int rv;
-+      if ((pglob->gl_flags & GLOB_LIMIT) &&
-+          limit->l_brace_cnt++ >= GLOB_LIMIT_BRACE) {
-+              errno = 0;
-+              return (GLOB_NOSPACE);
-+      }
-+
-       /* Protect a single {}, for find(1), like csh */
-       if (pattern[0] == LBRACE && pattern[1] == RBRACE && pattern[2] == EOS)
-               return glob0(pattern, pglob, limit);
-@@ -266,7 +293,8 @@ static int
-  * If it fails then it tries to glob the rest of the pattern and returns.
-  */
- static int
--globexp2(const Char *ptr, const Char *pattern, glob_t *pglob, int *rv, size_t *limit)
-+globexp2(const Char *ptr, const Char *pattern, glob_t *pglob, int *rv,
-+    struct glob_limit *limit)
- {
-       int     i;
-       Char   *lm, *ls;
-@@ -436,7 +464,7 @@ globtilde(const Char *pattern, Char *patbuf, size_
-  * if things went well, nonzero if errors occurred.
-  */
- static int
--glob0(const Char *pattern, glob_t *pglob, size_t *limit)
-+glob0(const Char *pattern, glob_t *pglob, struct glob_limit *limit)
- {
-       const Char *qpatnext;
-       int err;
-@@ -529,7 +557,7 @@ compare(const void *p, const void *q)
- }
- static int
--glob1(Char *pattern, glob_t *pglob, size_t *limit)
-+glob1(Char *pattern, glob_t *pglob, struct glob_limit *limit)
- {
-       Char pathbuf[MAXPATHLEN];
-@@ -547,7 +575,7 @@ static int
-  */
- static int
- glob2(Char *pathbuf, Char *pathend, Char *pathend_last, Char *pattern,
--      glob_t *pglob, size_t *limit)
-+      glob_t *pglob, struct glob_limit *limit)
- {
-       struct stat sb;
-       Char *p, *q;
-@@ -563,6 +591,15 @@ glob2(Char *pathbuf, Char *pathend, Char *pathend_
-                       if (g_lstat(pathbuf, &sb, pglob))
-                               return(0);
-+                      if ((pglob->gl_flags & GLOB_LIMIT) &&
-+                          limit->l_stat_cnt++ >= GLOB_LIMIT_STAT) {
-+                              errno = 0;
-+                              if (pathend + 1 > pathend_last)
-+                                      return (GLOB_ABORTED);
-+                              *pathend++ = SEP;
-+                              *pathend = EOS;
-+                              return (GLOB_NOSPACE);
-+                      }
-                       if (((pglob->gl_flags & GLOB_MARK) &&
-                           pathend[-1] != SEP) && (S_ISDIR(sb.st_mode)
-                           || (S_ISLNK(sb.st_mode) &&
-@@ -606,7 +643,7 @@ glob2(Char *pathbuf, Char *pathend, Char *pathend_
- static int
- glob3(Char *pathbuf, Char *pathend, Char *pathend_last,
-       Char *pattern, Char *restpattern,
--      glob_t *pglob, size_t *limit)
-+      glob_t *pglob, struct glob_limit *limit)
- {
-       struct dirent *dp;
-       DIR *dirp;
-@@ -652,6 +689,19 @@ glob3(Char *pathbuf, Char *pathend, Char *pathend_
-               size_t clen;
-               mbstate_t mbs;
-+              if ((pglob->gl_flags & GLOB_LIMIT) &&
-+                  limit->l_readdir_cnt++ >= GLOB_LIMIT_READDIR) {
-+                      errno = 0;
-+                      if (pathend + 1 > pathend_last)
-+                              err = GLOB_ABORTED;
-+                      else {
-+                              *pathend++ = SEP;
-+                              *pathend = EOS;
-+                              err = GLOB_NOSPACE;
-+                      }
-+                      break;
-+              }
-+
-               /* Initial DOT must be matched literally. */
-               if (dp->d_name[0] == DOT && *pattern != DOT)
-                       continue;
-@@ -702,14 +752,15 @@ glob3(Char *pathbuf, Char *pathend, Char *pathend_
-  *    gl_pathv points to (gl_offs + gl_pathc + 1) items.
-  */
- static int
--globextend(const Char *path, glob_t *pglob, size_t *limit)
-+globextend(const Char *path, glob_t *pglob, struct glob_limit *limit)
- {
-       char **pathv;
-       size_t i, newsize, len;
-       char *copy;
-       const Char *p;
--      if (*limit && pglob->gl_pathc > *limit) {
-+      if ((pglob->gl_flags & GLOB_LIMIT) &&
-+          pglob->gl_matchc > limit->l_path_lim) {
-               errno = 0;
-               return (GLOB_NOSPACE);
-       }
-@@ -737,6 +788,12 @@ static int
-       for (p = path; *p++;)
-               continue;
-       len = MB_CUR_MAX * (size_t)(p - path);  /* XXX overallocation */
-+      limit->l_string_cnt += len;
-+      if ((pglob->gl_flags & GLOB_LIMIT) &&
-+          limit->l_string_cnt >= GLOB_LIMIT_STRING) {
-+              errno = 0;
-+              return (GLOB_NOSPACE);
-+      }
-       if ((copy = malloc(len)) != NULL) {
-               if (g_Ctoc(path, copy, len)) {
-                       free(copy);
diff --git a/sys-freebsd/freebsd-lib/files/freebsd-lib-9.0-liblink.patch b/sys-freebsd/freebsd-lib/files/freebsd-lib-9.0-liblink.patch
deleted file mode 100644 (file)
index f8e4707..0000000
+++ /dev/null
@@ -1,21 +0,0 @@
-diff -uNr lib.ol/libproc/Makefile lib/libproc/Makefile
---- lib.ol/libproc/Makefile    2011-11-02 14:02:17.000000000 +0000
-+++ lib/libproc/Makefile       2011-11-02 14:03:09.000000000 +0000
-@@ -16,5 +16,6 @@
- SHLIB_MAJOR=  2
- WITHOUT_MAN=
-+LDADD+=-lelf
- .include <bsd.lib.mk>
-diff -uNr lib.ol/librtld_db/Makefile lib/librtld_db/Makefile
---- lib.ol/librtld_db/Makefile 2011-11-02 14:02:13.000000000 +0000
-+++ lib/librtld_db/Makefile    2011-11-02 14:04:00.000000000 +0000
-@@ -10,5 +10,7 @@
- INCS=         rtld_db.h
- CFLAGS+= -I${.CURDIR}
-+LDADD+=-lutil -lproc
-+LDFLAGS+=-L${.OBJDIR}/../libutil -L${.OBJDIR}/../libproc
- .include <bsd.lib.mk>
diff --git a/sys-freebsd/freebsd-lib/files/freebsd-lib-9.0-netware.patch b/sys-freebsd/freebsd-lib/files/freebsd-lib-9.0-netware.patch
deleted file mode 100644 (file)
index c1c2a0e..0000000
+++ /dev/null
@@ -1,11 +0,0 @@
-diff -Nur lib.orig/libncp/Makefile lib/libncp/Makefile
---- lib.orig/libncp/Makefile   2012-12-25 20:35:16.000000000 +0900
-+++ lib/libncp/Makefile        2012-12-25 20:36:23.000000000 +0900
-@@ -6,6 +6,7 @@
- DPADD=                ${LIBIPX}
- LDADD=                -lipx
-+LDFLAGS+=-L${.OBJDIR}/../libipx
- SRCS= ncpl_subr.c ncpl_bind.c ncpl_queue.c ncpl_file.c ncpl_misc.c \
-       ncpl_net.c ncpl_rcfile.c ncpl_conn.c ncpl_nls.c ncpl_msg.c \
diff --git a/sys-freebsd/freebsd-lib/files/freebsd-lib-9.0-opieincludes.patch b/sys-freebsd/freebsd-lib/files/freebsd-lib-9.0-opieincludes.patch
deleted file mode 100644 (file)
index bf77a0a..0000000
+++ /dev/null
@@ -1,122 +0,0 @@
-Fixes warnings like:
-/var/tmp/portage/sys-freebsd/freebsd-lib-9.0-r2/work/lib/libopie/../../contrib/opie/libopie/randomchallenge.c:43:5:
-warning: incompatible implicit declaration of built-in function ‘strcpy’ 
-
-diff -uNr contrib.old/opie/libopie/accessfile.c contrib/opie/libopie/accessfile.c
---- contrib.old/opie/libopie/accessfile.c      2012-05-25 08:54:33.000000000 -0400
-+++ contrib/opie/libopie/accessfile.c  2012-05-25 09:12:34.000000000 -0400
-@@ -46,6 +46,7 @@
- #ifdef DEBUG
- #include <syslog.h>
- #endif /* DEBUG */
-+#include <ctype.h>
- #include "opie.h"
-diff -uNr contrib.old/opie/libopie/generator.c contrib/opie/libopie/generator.c
---- contrib.old/opie/libopie/generator.c       2012-05-25 08:54:33.000000000 -0400
-+++ contrib/opie/libopie/generator.c   2012-05-25 08:58:10.000000000 -0400
-@@ -50,6 +50,7 @@
- #include <syslog.h>
- #endif /* DEBUG */
- #include "opie.h"
-+#include <stdio.h>
- static char *algids[] = { NULL, NULL, NULL, "sha1", "md4", "md5" };
-diff -uNr contrib.old/opie/libopie/lookup.c contrib/opie/libopie/lookup.c
---- contrib.old/opie/libopie/lookup.c  2012-05-25 08:54:33.000000000 -0400
-+++ contrib/opie/libopie/lookup.c      2012-05-25 09:15:08.000000000 -0400
-@@ -14,6 +14,7 @@
- #include "opie_cfg.h"
- #include <stdio.h>
- #include "opie.h"
-+#include <string.h>
- int opielookup FUNCTION((opie, principal), struct opie *opie AND char *principal)
- {
-diff -uNr contrib.old/opie/libopie/newseed.c contrib/opie/libopie/newseed.c
---- contrib.old/opie/libopie/newseed.c 2012-05-25 08:54:33.000000000 -0400
-+++ contrib/opie/libopie/newseed.c     2012-05-25 09:14:37.000000000 -0400
-@@ -36,6 +36,9 @@
- #include <syslog.h>
- #endif /* DEBUG */
- #include "opie.h"
-+#include <stdio.h>
-+#include <stdlib.h>
-+#include <time.h>
- int opienewseed FUNCTION((seed), char *seed)
- {
-diff -uNr contrib.old/opie/libopie/parsechallenge.c contrib/opie/libopie/parsechallenge.c
---- contrib.old/opie/libopie/parsechallenge.c  2012-05-25 08:54:33.000000000 -0400
-+++ contrib/opie/libopie/parsechallenge.c      2012-05-25 09:15:54.000000000 -0400
-@@ -20,6 +20,8 @@
- #include <string.h>
- #endif /* HAVE_STRING_H */
- #include "opie.h"
-+#include <stdlib.h>
-+#include <ctype.h>
- struct algorithm {
-   char *name;
-diff -uNr contrib.old/opie/libopie/passwd.c contrib/opie/libopie/passwd.c
---- contrib.old/opie/libopie/passwd.c  2012-05-25 08:54:33.000000000 -0400
-+++ contrib/opie/libopie/passwd.c      2012-05-25 09:13:45.000000000 -0400
-@@ -22,6 +22,7 @@
- #include "opie_cfg.h"
- #include "opie.h"
-+#include <string.h>
- int opiepasswd FUNCTION((old, flags, principal, n, seed, ks), struct opie *old AND int flags AND char *principal AND int n AND char *seed AND char *ks)
- {
-diff -uNr contrib.old/opie/libopie/randomchallenge.c contrib/opie/libopie/randomchallenge.c
---- contrib.old/opie/libopie/randomchallenge.c 2012-05-25 08:54:33.000000000 -0400
-+++ contrib/opie/libopie/randomchallenge.c     2012-05-25 09:00:27.000000000 -0400
-@@ -28,6 +28,9 @@
- #include "opie_cfg.h"
- #include "opie.h"
-+#include <stdio.h>
-+#include <string.h>
-+#include <stdlib.h>
- static char *algids[] = { 0, 0, 0, "sha1", "md4", "md5" };
-diff -uNr contrib.old/opie/libopie/verify.c contrib/opie/libopie/verify.c
---- contrib.old/opie/libopie/verify.c  2012-05-25 08:54:33.000000000 -0400
-+++ contrib/opie/libopie/verify.c      2012-05-25 09:12:09.000000000 -0400
-@@ -25,6 +25,7 @@
- #include <string.h>
- #endif /* HAVE_STRING_H */
- #include "opie.h"
-+#include <ctype.h>
- #define RESPONSE_STANDARD  0
- #define RESPONSE_WORD      1
-diff -uNr contrib.old/opie/libopie/version.c contrib/opie/libopie/version.c
---- contrib.old/opie/libopie/version.c 2012-05-25 08:54:33.000000000 -0400
-+++ contrib/opie/libopie/version.c     2012-05-25 09:13:15.000000000 -0400
-@@ -19,6 +19,8 @@
- */
- #include "opie_cfg.h"
- #include "opie.h"
-+#include <stdio.h>
-+#include <stdlib.h>
- VOIDRET opieversion FUNCTION_NOARGS
- {
-diff -uNr contrib.old/opie/opie.h contrib/opie/opie.h
---- contrib.old/opie/opie.h    2012-05-25 08:54:33.000000000 -0400
-+++ contrib/opie/opie.h        2012-05-25 09:21:28.000000000 -0400
-@@ -158,6 +158,9 @@
- int __opiereadrec __P((struct opie *));
- int __opiewriterec __P((struct opie *));
- int __opieparsechallenge __P((char *buffer, int *algorithm, int *sequence, char **seed, int *exts));
-+VOIDRET opiehashlen FUNCTION((algorithm, in, out, n), int algorithm AND VOIDPTR in AND struct opie_otpkey *out AND int n);
-+int opieinsecure FUNCTION_NOARGS;
-+int opienewseed FUNCTION((seed), char *seed);
- __END_DECLS
- #define opiestrncpy(dst, src, n) \
diff --git a/sys-freebsd/freebsd-lib/files/freebsd-lib-9.1-.eh_frame_hdr-fix.patch b/sys-freebsd/freebsd-lib/files/freebsd-lib-9.1-.eh_frame_hdr-fix.patch
deleted file mode 100644 (file)
index fdb7e16..0000000
+++ /dev/null
@@ -1,17 +0,0 @@
-Fix "no .eh_frame_hdr table will be created" error.
-
-http://gcc.gnu.org/bugzilla/show_bug.cgi?id=47829
-http://gitweb.dragonflybsd.org/dragonfly.git/commitdiff/4a0e0cd7377c45dc21d5c71bcab931b5e5727e74
-
-diff -Nur lib.orig/csu/i386-elf/Makefile lib/csu/i386-elf/Makefile
---- lib.orig/csu/i386-elf/Makefile     2013-03-06 01:07:57.000000000 +0900
-+++ lib/csu/i386-elf/Makefile  2013-03-06 01:10:09.000000000 +0900
-@@ -10,6 +10,8 @@
- FILESDIR=     ${LIBDIR}
- CFLAGS+=      -I${.CURDIR}/../common \
-               -I${.CURDIR}/../../libc/include
-+CFLAGS+=      -fno-omit-frame-pointer
-+CFLAGS+=      -fno-asynchronous-unwind-tables
- CLEANFILES=   ${FILES} crt1_c.o crt1_s.o gcrt1_c.o Scrt1_c.o
- CLEANFILES+=  crt1_c.s gcrt1_c.s Scrt1_c.s
diff --git a/sys-freebsd/freebsd-lib/files/freebsd-lib-9.1-aligned_alloc.patch b/sys-freebsd/freebsd-lib/files/freebsd-lib-9.1-aligned_alloc.patch
deleted file mode 100644 (file)
index 97ac141..0000000
+++ /dev/null
@@ -1,51 +0,0 @@
-Backport aligned_alloc for C++11 support.
-
-http://lists.freebsd.org/pipermail/svn-src-stable-9/2012-November/003313.html
-
-diff -uNr lib.old/libc/stdlib/Symbol.map lib/libc/stdlib/Symbol.map
---- lib.old/libc/stdlib/Symbol.map     2013-05-24 17:03:55.000000000 -0400
-+++ lib/libc/stdlib/Symbol.map 2013-05-24 17:06:03.000000000 -0400
-@@ -97,6 +97,7 @@
-       atoi_l;
-       atol_l;
-       atoll_l;
-+      aligned_alloc;
-       at_quick_exit;
-       quick_exit;
-       strtod_l;
-diff -uNr lib.old/libc/stdlib/malloc.c lib/libc/stdlib/malloc.c
---- lib.old/libc/stdlib/malloc.c       2013-05-24 17:03:55.000000000 -0400
-+++ lib/libc/stdlib/malloc.c   2013-05-24 17:05:40.000000000 -0400
-@@ -6046,6 +6046,21 @@
- }
- void *
-+aligned_alloc(size_t alignment, size_t size)
-+{
-+      void *memptr;
-+      int ret;
-+
-+      ret = posix_memalign(&memptr, alignment, size);
-+      if (ret != 0) {
-+              errno = ret;
-+              return (NULL);
-+      }
-+      return (memptr);
-+}
-+
-+
-+void *
- calloc(size_t num, size_t size)
- {
-       void *ret;
-diff -uNr includeold/stdlib.h include/stdlib.h
---- includeold/stdlib.h        2013-05-24 17:03:46.000000000 -0400
-+++ include/stdlib.h   2013-05-24 17:04:46.000000000 -0400
-@@ -155,6 +155,7 @@
-  * If we're in a mode greater than C99, expose C1x functions.
-  */
- #if __ISO_C_VISIBLE >= 2011 || __cplusplus >= 201103L
-+void *        aligned_alloc(size_t, size_t);
- _Noreturn void
-       quick_exit(int);
- int   at_quick_exit(void (*)(void));
diff --git a/sys-freebsd/freebsd-lib/files/freebsd-lib-9.1-rmgssapi.patch b/sys-freebsd/freebsd-lib/files/freebsd-lib-9.1-rmgssapi.patch
deleted file mode 100644 (file)
index 62357e0..0000000
+++ /dev/null
@@ -1,16 +0,0 @@
---- include/Makefile.orig      2013-06-16 10:47:52.000000000 +0200
-+++ include/Makefile   2013-06-16 10:47:37.000000000 +0200
-@@ -6,11 +6,11 @@
- .include <bsd.own.mk>
- CLEANFILES= osreldate.h version vers.c
-+SUBDIR= arpa protocols rpcsvc rpc xlocale
--SUBDIR= arpa gssapi protocols rpcsvc rpc xlocale
- INCS= a.out.h ar.h assert.h bitstring.h complex.h cpio.h _ctype.h ctype.h \
-       db.h \
-       dirent.h dlfcn.h elf.h elf-hints.h err.h fmtmsg.h fnmatch.h fstab.h \
-+      fts.h ftw.h getopt.h glob.h grp.h \
--      fts.h ftw.h getopt.h glob.h grp.h gssapi.h \
-       ieeefp.h ifaddrs.h \
-       inttypes.h iso646.h kenv.h langinfo.h libgen.h limits.h link.h \
-       locale.h malloc.h malloc_np.h memory.h monetary.h mpool.h mqueue.h \
diff --git a/sys-freebsd/freebsd-lib/files/freebsd-lib-add-nossp-cflags.patch b/sys-freebsd/freebsd-lib/files/freebsd-lib-add-nossp-cflags.patch
deleted file mode 100644 (file)
index 00b39f7..0000000
+++ /dev/null
@@ -1,30 +0,0 @@
-Please do not disable this patch.
-All commands will be non-executable.
-Abort trap: 6 (core dumped) is displayed...
-
-Details see Gentoo Bug #511698.
-https://bugs.gentoo.org/show_bug.cgi?id=511698
-
-diff --git a/lib/libc/Makefile b/lib/libc/Makefile
-index 1cc23b7..7dd458e 100644
---- a/lib/libc/Makefile
-+++ b/lib/libc/Makefile
-@@ -149,6 +149,6 @@ CWARNFLAGS:=       ${.IMPSRC:Ngdtoa_*.c:C/^.+$/${CWARNFLAGS}/:C/^$/-w/}
- # in the future to circumvent this.
- SSP_CFLAGS:=  ${SSP_CFLAGS:S/^-fstack-protector-all$/-fstack-protector/}
- # Disable stack protection for SSP symbols.
--SSP_CFLAGS:=  ${.IMPSRC:N*/stack_protector.c:C/^.+$/${SSP_CFLAGS}/}
-+SSP_CFLAGS:=  ${.IMPSRC:N*/stack_protector.c:C/^.+$/${SSP_CFLAGS}/:C/^$/-fno-stack-protector/}
- # Generate stack unwinding tables for cancellation points
- CANCELPOINTS_CFLAGS:= ${.IMPSRC:Mcancelpoints_*:C/^.+$/${CANCELPOINTS_CFLAGS}/:C/^$//}
-diff --git a/lib/csu/Makefile.inc b/lib/csu/Makefile.inc
-index f92d87d..7a3a2f3 100644
---- a/lib/csu/Makefile.inc
-+++ b/lib/csu/Makefile.inc
-@@ -1,5 +1,5 @@
- # $FreeBSD: release/9.1.0/lib/csu/Makefile.inc 204757 2010-03-05 13:29:05Z uqs $
--SSP_CFLAGS=
-+SSP_CFLAGS= -fno-stack-protector
-
- .include "../Makefile.inc"
diff --git a/sys-freebsd/freebsd-lib/files/freebsd-lib-bsdxml2expat.patch b/sys-freebsd/freebsd-lib/files/freebsd-lib-bsdxml2expat.patch
deleted file mode 100644 (file)
index 1b4e791..0000000
+++ /dev/null
@@ -1,26 +0,0 @@
-diff -ur lib/libgeom.old/Makefile lib/libgeom/Makefile
---- lib/libgeom.old/Makefile   2011-07-10 14:23:51.000000000 +0000
-+++ lib/libgeom/Makefile       2011-07-10 15:12:39.000000000 +0000
-@@ -13,8 +13,8 @@
- WARNS?=       3
--DPADD=        ${LIBBSDXML} ${LIBSBUF}
--LDADD=        -lbsdxml -lsbuf
-+DPADD=        ${LIBSBUF}
-+LDADD=        -lexpat -lsbuf
- MAN=  libgeom.3
-diff -ur lib/libgeom.old/geom_xml2tree.c lib/libgeom/geom_xml2tree.c
---- lib/libgeom.old/geom_xml2tree.c    2010-12-21 17:09:25.000000000 +0000
-+++ lib/libgeom/geom_xml2tree.c        2011-07-10 15:12:52.000000000 +0000
-@@ -43,7 +43,7 @@
- #include <sys/sbuf.h>
- #include <sys/sysctl.h>
- #include <err.h>
--#include <bsdxml.h>
-+#include <expat.h>
- #include <libgeom.h>
- struct mystate {
diff --git a/sys-freebsd/freebsd-lib/files/freebsd-lib-includes.patch b/sys-freebsd/freebsd-lib/files/freebsd-lib-includes.patch
deleted file mode 100644 (file)
index c2cf142..0000000
+++ /dev/null
@@ -1,13 +0,0 @@
-Fix headers dependencies so that they can be included alone.
-
---- include/ifaddrs.h.old      2009-05-15 13:50:10 +0000
-+++ include/ifaddrs.h  2009-05-15 13:50:23 +0000
-@@ -28,6 +28,8 @@
- #ifndef       _IFADDRS_H_
- #define       _IFADDRS_H_
-+#include <sys/types.h>
-+
- struct ifaddrs {
-       struct ifaddrs  *ifa_next;
-       char            *ifa_name;
diff --git a/sys-freebsd/freebsd-lib/files/freebsd-sources-9.0-sysctluint.patch b/sys-freebsd/freebsd-lib/files/freebsd-sources-9.0-sysctluint.patch
deleted file mode 100644 (file)
index 751a77c..0000000
+++ /dev/null
@@ -1,13 +0,0 @@
-u_int is defined in sys/types.h
-makes header usable alone.
-
---- sys/sys/sysctl.h.old       2012-05-25 11:08:53.000000000 -0400
-+++ sys/sys/sysctl.h   2012-05-25 11:09:16.000000000 -0400
-@@ -788,6 +788,7 @@
-                   struct sysctl_req *);
- #else /* !_KERNEL */
- #include <sys/cdefs.h>
-+#include <sys/types.h> /* for u_int */
- __BEGIN_DECLS
- int   sysctl(const int *, u_int, void *, size_t *, const void *, size_t);
diff --git a/sys-freebsd/freebsd-lib/files/libusb-1.0.pc.in b/sys-freebsd/freebsd-lib/files/libusb-1.0.pc.in
deleted file mode 100644 (file)
index 058ecb4..0000000
+++ /dev/null
@@ -1,11 +0,0 @@
-prefix=/usr
-exec_prefix=${prefix}
-libdir=@LIBDIR@
-includedir=${prefix}/include
-
-Name: libusb
-Description: USB access library (FreeBSD version)
-Version: 1.0.1
-Libs: -L${libdir} -lusb
-Cflags: -I${includedir}
-
diff --git a/sys-freebsd/freebsd-lib/files/libusb.pc.in b/sys-freebsd/freebsd-lib/files/libusb.pc.in
deleted file mode 100644 (file)
index f63c6e3..0000000
+++ /dev/null
@@ -1,11 +0,0 @@
-prefix=/usr
-exec_prefix=${prefix}
-libdir=@LIBDIR@
-includedir=${prefix}/include
-
-Name: libusb
-Description: USB access library (FreeBSD version)
-Version: 0.1.12
-Libs: -L${libdir} -lusb
-Cflags: -I${includedir}
-
diff --git a/sys-freebsd/freebsd-lib/files/rquotad.xinetd b/sys-freebsd/freebsd-lib/files/rquotad.xinetd
deleted file mode 100644 (file)
index 876cd16..0000000
+++ /dev/null
@@ -1,11 +0,0 @@
-service rquotad
-{
-       type = rpc
-       socket_type = dgram
-       protocol = udp
-       wait = yes
-       user = root
-       server = /usr/libexec/rpc.rquotad
-       rpc_version = 1
-       disabled = yes
-}
diff --git a/sys-freebsd/freebsd-lib/files/rstatd.xinetd b/sys-freebsd/freebsd-lib/files/rstatd.xinetd
deleted file mode 100644 (file)
index ba1b819..0000000
+++ /dev/null
@@ -1,11 +0,0 @@
-service rstatd
-{
-        type = rpc
-        socket_type = dgram
-        protocol = udp
-        wait = yes
-        user = root
-        server = /usr/libexec/rpc.rstatd
-        rpc_version = 1-3
-        disabled = yes
-}
diff --git a/sys-freebsd/freebsd-lib/files/rusersd.xinetd b/sys-freebsd/freebsd-lib/files/rusersd.xinetd
deleted file mode 100644 (file)
index 5cbe091..0000000
+++ /dev/null
@@ -1,11 +0,0 @@
-service rusersd
-{
-        type = rpc
-        socket_type = dgram
-        protocol = udp
-        wait = yes
-        user = root
-        server = /usr/libexec/rpc.rusersd
-        rpc_version = 1-2
-        disabled = yes
-}
diff --git a/sys-freebsd/freebsd-lib/files/sprayd.xinetd b/sys-freebsd/freebsd-lib/files/sprayd.xinetd
deleted file mode 100644 (file)
index 7be5577..0000000
+++ /dev/null
@@ -1,11 +0,0 @@
-service sprayd
-{
-        type = rpc
-        socket_type = dgram
-        protocol = udp
-        wait = yes
-        user = root
-        server = /usr/libexec/rpc.sprayd
-        rpc_version = 1
-        disabled = yes
-}
diff --git a/sys-freebsd/freebsd-lib/files/walld.xinetd b/sys-freebsd/freebsd-lib/files/walld.xinetd
deleted file mode 100644 (file)
index 800b84f..0000000
+++ /dev/null
@@ -1,11 +0,0 @@
-service walld
-{
-        type = rpc
-        socket_type = dgram
-        protocol = udp
-        wait = yes
-        user = root
-        server = /usr/libexec/rpc.rwalld
-        rpc_version = 1
-        disabled = yes
-}
diff --git a/sys-freebsd/freebsd-lib/freebsd-lib-11.1-r1.ebuild b/sys-freebsd/freebsd-lib/freebsd-lib-11.1-r1.ebuild
deleted file mode 100644 (file)
index 68bc143..0000000
+++ /dev/null
@@ -1,708 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-inherit bsdmk freebsd flag-o-matic multilib toolchain-funcs eutils multibuild multilib-build usr-ldscript
-
-DESCRIPTION="FreeBSD's base system libraries"
-SLOT="0"
-LICENSE="BSD GPL-2 zfs? ( CDDL )"
-
-# Security Advisory and Errata patches.
-# UPSTREAM_PATCHES=()
-
-# Crypto is needed to have an internal OpenSSL header
-# sys is needed for libalias, probably we can just extract that instead of
-# extracting the whole tarball
-if [[ ${PV} != *9999* ]]; then
-       KEYWORDS="~amd64-fbsd ~x86-fbsd"
-       SRC_URI="${SRC_URI}
-                       $(freebsd_upstream_patches)"
-fi
-
-EXTRACTONLY="
-       lib/
-       contrib/
-       crypto/
-       libexec/
-       etc/
-       include/
-       usr.bin/
-       usr.sbin/
-       gnu/
-       secure/
-"
-
-if [ "${CATEGORY#*cross-}" = "${CATEGORY}" ]; then
-       RDEPEND="ssl? ( dev-libs/openssl:0= )
-               kerberos? ( app-crypt/heimdal )
-               pam? ( virtual/pam )
-               usb? ( !dev-libs/libusb )
-               zfs? ( =sys-freebsd/freebsd-cddl-${RV}* )
-               >=dev-libs/expat-2.0.1
-               >=dev-util/dialog-1.2.20150225
-               !sys-freebsd/freebsd-libexec
-               !sys-libs/libutempter
-               !dev-libs/libelf
-               !dev-libs/libexecinfo
-               !dev-libs/libiconv
-               !sys-freebsd/freebsd-headers"
-       DEPEND="${RDEPEND}
-               >=sys-devel/flex-2.5.31-r2
-               =sys-freebsd/freebsd-sources-${RV}*"
-       RDEPEND="${RDEPEND}
-               =sys-freebsd/freebsd-share-${RV}*
-               xinetd? ( sys-apps/xinetd )
-               >=virtual/libiconv-0-r2"
-else
-       EXTRACTONLY+="sys/ "
-fi
-
-DEPEND="${DEPEND}
-               userland_GNU? ( sys-apps/mtree )
-               =sys-freebsd/freebsd-mk-defs-${RV}*"
-
-S="${WORKDIR}/lib"
-
-export CTARGET=${CTARGET:-${CHOST}}
-if [ "${CTARGET}" = "${CHOST}" -a "${CATEGORY#*cross-}" != "${CATEGORY}" ]; then
-       export CTARGET=${CATEGORY/cross-}
-fi
-
-IUSE="atm bluetooth ssl ipv6 kerberos usb netware
-       build headers-only zfs pam xinetd
-       userland_GNU userland_BSD"
-
-QA_DT_NEEDED="lib/libc.so.7 usr/lib32/libc.so.7"
-
-pkg_setup() {
-       # Add the required source files.
-       use build && EXTRACTONLY+="sys/ "
-       use zfs && EXTRACTONLY+="cddl/ "
-
-       [ -c /dev/zero ] || \
-               die "You forgot to mount /dev; the compiled libc would break."
-
-       if ! use ssl && use kerberos; then
-               eerror "If you want kerberos support you need to enable ssl support, too."
-       fi
-
-       use atm || mymakeopts="${mymakeopts} WITHOUT_ATM= "
-       use bluetooth || mymakeopts="${mymakeopts} WITHOUT_BLUETOOTH= "
-       mymakeopts="${mymakeopts} WITHOUT_HESIOD= "
-       use ipv6 || mymakeopts="${mymakeopts} WITHOUT_INET6_SUPPORT= "
-       use kerberos || mymakeopts="${mymakeopts} WITHOUT_KERBEROS_SUPPORT= WITHOUT_GSSAPI= "
-       use netware || mymakeopts="${mymakeopts} WITHOUT_IPX= WITHOUT_IPX_SUPPORT= WITHOUT_NCP= "
-       use ssl || mymakeopts="${mymakeopts} WITHOUT_OPENSSL= "
-       use usb || mymakeopts="${mymakeopts} WITHOUT_USB= "
-       use zfs || mymakeopts="${mymakeopts} WITHOUT_CDDL= "
-
-       mymakeopts="${mymakeopts} WITHOUT_SENDMAIL= WITHOUT_CLANG= WITHOUT_LIBCPLUSPLUS= WITHOUT_LDNS= WITHOUT_UNBOUND= WITHOUT_BSNMP= "
-
-       if [ "${CTARGET}" != "${CHOST}" ]; then
-               mymakeopts="${mymakeopts} MACHINE=$(tc-arch-kernel ${CTARGET})"
-               mymakeopts="${mymakeopts} MACHINE_ARCH=$(tc-arch-kernel ${CTARGET})"
-       fi
-
-       # Taken from freebsd-libexec.
-       use pam || mymakeopts="${mymakeopts} WITHOUT_PAM_SUPPORT= "
-       if has_version "<sys-freebsd/freebsd-ubin-11.0"; then
-               mymakeopts="${mymakeopts} WITHOUT_MAN_UTILS= "
-       fi
-}
-
-PATCHES=(
-       "${FILESDIR}/${PN}-6.0-pmc.patch"
-       "${FILESDIR}/${PN}-9.0-bluetooth.patch"
-       "${FILESDIR}/${PN}-11.0-workaround.patch"
-       "${FILESDIR}/${PN}-11.0-bsdxml2expat.patch"
-       "${FILESDIR}/${PN}-11.0-libproc-libcxx.patch"
-       "${FILESDIR}/${PN}-11.1-liblink.patch"
-       "${FILESDIR}/${PN}-add-nossp-cflags.patch"
-       )
-# Here we disable and remove source which we don't need or want
-# In order:
-# - ncurses stuff
-# - libexpat creates a bsdxml library which is the same as expat
-# - archiving libraries (have their own ebuild)
-# - sendmail libraries (they are installed by sendmail)
-# - SNMP library and dependency (have their own ebuilds)
-# - libstand: static library, 32bits on amd64 used for boot0, we build it from
-# boot0 instead.
-#
-# The rest are libraries we already have somewhere else because
-# they are contribution.
-REMOVE_SUBDIRS="ncurses \
-       libexpat \
-       libz libbz2 libarchive liblzma \
-       libsm libsmdb libsmutil \
-       libbegemot libbsnmp \
-       libpam libpcap libwrap libmagic \
-       libcom_err
-       libedit
-       libstand
-       libgssapi"
-
-# Are we building a cross-compiler?
-is_crosscompile() {
-       [ "${CATEGORY#*cross-}" != "${CATEGORY}" ]
-}
-
-src_prepare() {
-       # If gcc-5.0 or later, apply a workaround to fix a critical issue. bug 573358
-       [[ "$(gcc-major-version)" -ge 5 ]] && replace-flags -O? -O1
-
-       sed -i.bak -e 's:-o/dev/stdout:-t:' "${S}/libc/net/Makefile.inc"
-
-       # Upstream Display Managers default to using VT7
-       # We should make FreeBSD allow this by default
-       local x=
-       for x in "${WORKDIR}"/etc/etc.*/ttys ; do
-               sed -i.bak \
-                       -e '/ttyv5[[:space:]]/ a\
-# Display Managers default to VT7.\
-# If you use the xdm init script, keep ttyv6 commented out\
-# unless you force a different VT for the DM being used.' \
-                       -e '/^ttyv[678][[:space:]]/ s/^/# /' "${x}" \
-                       || die "Failed to sed ${x}"
-               rm "${x}".bak
-       done
-
-       # This one is here because it also
-       # patches "${WORKDIR}/include"
-       cd "${WORKDIR}"
-       epatch "${FILESDIR}/${PN}-includes.patch"
-
-       # Don't install the hesiod man page or header
-       rm "${WORKDIR}"/include/hesiod.h || die
-       sed -i.bak -e 's:hesiod.h::' "${WORKDIR}"/include/Makefile || die
-       sed -i.bak -e 's:hesiod.c::' -e 's:hesiod.3::' \
-       "${WORKDIR}"/lib/libc/net/Makefile.inc || die
-
-       # Fix the Makefiles of these few libraries that will overwrite our LDADD.
-       cd "${S}"
-       for dir in libradius libtacplus libcam libdevstat libfetch libgeom libmemstat libopie \
-               libsmb libprocstat libulog; do sed -i.bak -e 's:LDADD=:LDADD+=:g' "${dir}/Makefile" || \
-               die "Problem fixing \"${dir}/Makefile"
-       done
-       # Call LD with LDFLAGS, rename them to RAW_LDFLAGS
-       sed -e 's/LDFLAGS/RAW_LDFLAGS/g' \
-               -i "${S}/csu/i386/Makefile" || die
-
-       if install --version 2> /dev/null | grep -q GNU; then
-               sed -i.bak -e 's:${INSTALL} -C:${INSTALL}:' "${WORKDIR}/include/Makefile"
-       fi
-
-       # libsysdecode requires the latest headers.
-       need_bootstrap && \
-               sed -i "s:\${DESTDIR}\${INCLUDEDIR}:${WORKDIR}/include_proper_${ABI}:g" "${S}/libsysdecode/Makefile"
-
-       # Taken from freebsd-libexec.
-       cd "${WORKDIR}/libexec"
-       dummy_mk smrsh mail.local tcpd telnetd rshd rlogind ftpd
-       # The old version of yacc doesn't support YFLAGS="-i".
-       if has_version "<sys-freebsd/freebsd-ubin-11.0"; then
-               sed -i -e '/^YFLAGS/d' "${WORKDIR}/libexec/dma/dmagent/Makefile"
-       fi
-
-       # Try to fix sed calls for GNU sed. Do it only with GNU userland and force
-       # BSD's sed on BSD.
-       cd "${S}"
-       if [[ ${CBUILD:-${CHOST}} != *bsd* ]]; then
-               find . -name Makefile -exec sed -ibak 's/sed -i /sed -i/' {} \;
-               sed -i -e 's/-i ""/-i""/' "${S}/csu/Makefile.inc" || die
-       fi
-
-       if use build; then
-               cd "${WORKDIR}"
-               # This patch has to be applied on ${WORKDIR}/sys, so we do it here since it
-               # shouldn't be a symlink to /usr/src/sys (which should be already patched)
-               epatch "${FILESDIR}"/freebsd-sources-9.0-sysctluint.patch
-               epatch "${FILESDIR}/${PN}-11.1-elf-nhdr.patch"
-               return 0
-       fi
-
-       if ! is_crosscompile ; then
-               if [[ ! -e "${WORKDIR}/sys" ]]; then
-                       ln -s "${SYSROOT}/usr/src/sys" "${WORKDIR}/sys" || die "Couldn't make sys symlink!"
-               fi
-       else
-               sed -i.bak -e "s:/usr/include:/usr/${CTARGET}/usr/include:g" \
-                       "${S}/libc/rpc/Makefile.inc" \
-                       "${S}/libc/yp/Makefile.inc"
-       fi
-}
-
-bootstrap_lib() {
-       for i ; do
-               cd "${WORKDIR}/${i}" || die "missing ${i}"
-               freebsd_src_compile
-               append-ldflags "-L${MAKEOBJDIRPREFIX}/${WORKDIR}/${i}"
-       done
-}
-
-get_csudir() {
-       if [ -d "${WORKDIR}/lib/csu/$1-elf" ]; then
-               echo "lib/csu/$1-elf"
-       else
-               echo "lib/csu/$1"
-       fi
-}
-
-bootstrap_csu() {
-       local csudir="$(get_csudir $(tc-arch-kernel ${CTARGET}))"
-       export RAW_LDFLAGS=$(raw-ldflags)
-       bootstrap_lib "${csudir}"
-
-       CFLAGS="${CFLAGS} -B ${MAKEOBJDIRPREFIX}/${WORKDIR}/${csudir}"
-       append-ldflags "-B ${MAKEOBJDIRPREFIX}/${WORKDIR}/${csudir}"
-
-       bootstrap_lib "gnu/lib/csu"
-
-       cd "${MAKEOBJDIRPREFIX}/${WORKDIR}/gnu/lib/csu"
-       for i in *.So ; do
-               ln -s $i ${i%.So}S.o
-       done
-       CFLAGS="${CFLAGS} -B ${MAKEOBJDIRPREFIX}/${WORKDIR}/gnu/lib/csu"
-       append-ldflags "-B ${MAKEOBJDIRPREFIX}/${WORKDIR}/gnu/lib/csu"
-}
-
-# Compile libssp_nonshared.a and add it's path to LDFLAGS.
-bootstrap_libssp_nonshared() {
-       bootstrap_lib "gnu/lib/libssp/libssp_nonshared"
-}
-
-# We should call this function to compile itself correctly.
-# A better solution is very welcome.
-bootstrap_libc() {
-       mkdir "${WORKDIR}/bootstrap_libc_${ABI}" || die
-       append-ldflags "-L${WORKDIR}/bootstrap_libc_${ABI}"
-
-       bootstrap_lib "lib/libc" "lib/libc_nonshared"
-       echo "GROUP ( ${MAKEOBJDIRPREFIX}/${WORKDIR}/lib/libc/libc.so.7 ${MAKEOBJDIRPREFIX}/${WORKDIR}/lib/libc_nonshared/libc_nonshared.a ${MAKEOBJDIRPREFIX}/${WORKDIR}/gnu/lib/libssp/libssp_nonshared/libssp_nonshared.a )" > "${WORKDIR}/bootstrap_libc_${ABI}/libc.so" || die
-}
-
-bootstrap_libgcc() {
-       bootstrap_lib "lib/libcompiler_rt"
-       cd "${MAKEOBJDIRPREFIX}/${WORKDIR}/lib/libcompiler_rt" || die
-       ln -s libcompiler_rt.a libgcc.a || die
-
-       bootstrap_libc
-       bootstrap_lib "gnu/lib/libgcc"
-}
-
-bootstrap_libthr() {
-       bootstrap_lib "lib/libthr"
-       cd "${MAKEOBJDIRPREFIX}/${WORKDIR}/lib/libthr" || die
-       ln -s libthr.so libpthread.so
-}
-
-# What to build for a cross-compiler.
-# We also need the csu but this has to be handled separately.
-CROSS_SUBDIRS="lib/libc lib/msun gnu/lib/libssp/libssp_nonshared lib/libthr lib/libutil lib/librt lib/libc_nonshared lib/libcompiler_rt"
-
-# What to build for non-default ABIs.
-NON_NATIVE_SUBDIRS="${CROSS_SUBDIRS} gnu/lib/csu gnu/lib/libgcc lib/libmd lib/libcrypt lib/libsbuf lib/libcam lib/libelf lib/libiconv_modules"
-
-# Subdirs for a native build:
-NATIVE_SUBDIRS="lib gnu/lib/libssp/libssp_nonshared gnu/lib/libregex gnu/lib/csu gnu/lib/libgcc lib/libiconv_modules"
-
-# Is my $ABI native ?
-is_native_abi() {
-       is_crosscompile && return 1
-       multilib_is_native_abi
-}
-
-# Do we need to bootstrap the csu and libssp_nonshared?
-need_bootstrap() {
-       is_crosscompile || use build || { ! is_native_abi && ! has_version '>=sys-freebsd/freebsd-lib-9.1-r8[multilib]' && ! has_version ">=sys-freebsd/freebsd-lib-9.1-r11[${MULTILIB_USEDEP}]" ; } || has_version "<${CATEGORY}/${P}"
-}
-
-# Get the subdirs we are building.
-get_subdirs() {
-       local ret=""
-       if is_native_abi ; then
-               # If we are building for the native ABI, build everything
-               ret="${NATIVE_SUBDIRS}"
-       elif is_crosscompile ; then
-               # With a cross-compiler we only build the very core parts.
-               ret="${CROSS_SUBDIRS}"
-               if [ "${EBUILD_PHASE}" = "install" ]; then
-                       # Add the csu dir first when installing. We treat it separately for
-                       # compiling.
-                       ret="$(get_csudir $(tc-arch-kernel ${CTARGET})) ${ret}"
-               fi
-       else
-               # For the non-native ABIs we only build the csu parts and very core
-               # libraries for now.
-               ret="${NON_NATIVE_SUBDIRS} $(get_csudir $(tc-arch-kernel ${CHOST}))"
-       fi
-       echo "${ret}"
-}
-
-# Bootstrap the core libraries and setup the flags so that the other parts can
-# build against it.
-do_bootstrap() {
-       einfo "Bootstrapping on ${CHOST} for ${CTARGET}"
-       if ! is_crosscompile ; then
-               # Pre-install headers, but not when building a cross-compiler since we
-               # assume they have been installed in the previous pass.
-               einfo "Pre-installing includes in include_proper_${ABI}"
-               mkdir "${WORKDIR}/include_proper_${ABI}" || die
-               CTARGET="${CHOST}" install_includes "/include_proper_${ABI}"
-               CFLAGS="${CFLAGS} -isystem ${WORKDIR}/include_proper_${ABI}"
-               [[ $(tc-getCXX) = *clang++* ]] && CXXFLAGS="${CXXFLAGS} -isystem /usr/include/c++/v1"
-               CXXFLAGS="${CXXFLAGS} -isystem ${WORKDIR}/include_proper_${ABI}"
-               mymakeopts="${mymakeopts} RPCDIR=${WORKDIR}/include_proper_${ABI}/rpcsvc"
-       fi
-       bootstrap_csu
-       bootstrap_libssp_nonshared
-       if is_crosscompile ; then
-               bootstrap_lib "lib/libcompiler_rt"
-               bootstrap_libc
-       else
-               is_native_abi || bootstrap_libgcc
-               is_native_abi && has_version "<=sys-freebsd/freebsd-lib-10.0" && bootstrap_libgcc
-       fi
-       is_native_abi   || bootstrap_libthr
-}
-
-# Taken from freebsd-libexec.
-libexec_setup_multilib_vars() {
-       export mymakeopts="${mymakeopts} WITHOUT_RCMDS= WITHOUT_PF= "
-       need_bootstrap && CFLAGS="${CFLAGS} -isystem ${WORKDIR}/include_proper_${ABI}"
-       append-ldflags "-L${MAKEOBJDIRPREFIX}/${WORKDIR}/lib/libc"
-       if ! multilib_is_native_abi ; then
-               cd "${WORKDIR}/libexec/rtld-elf" || die
-               export mymakeopts="${mymakeopts} PROG=ld-elf32.so.1 "
-       else
-               cd "${WORKDIR}/libexec" || die
-       fi
-       "$@"
-}
-
-# Compile it. Assume we have the toolchain setup correctly.
-do_compile() {
-       # Bootstrap if needed, otherwise assume the system headers are in
-       # /usr/include.
-       if need_bootstrap ; then
-               do_bootstrap
-       else
-               CFLAGS="${CFLAGS} -isystem /usr/include"
-               [[ $(tc-getCXX) = *clang++* ]] && CXXFLAGS="${CXXFLAGS} -isystem /usr/include/c++/v1"
-       fi
-
-       export RAW_LDFLAGS=$(raw-ldflags)
-
-       # Everything is now setup, build it!
-       for i in $(get_subdirs) ; do
-               einfo "Building in ${i}... with CC=${CC} and CFLAGS=${CFLAGS}"
-               cd "${WORKDIR}/${i}/" || die "missing ${i}."
-               freebsd_src_compile || die "make ${i} failed"
-       done
-}
-
-src_compile() {
-       # Does not work with GNU sed
-       # Force BSD's sed on BSD.
-       if [[ ${CBUILD:-${CHOST}} == *bsd* ]]; then
-               export ESED=/usr/bin/sed
-               unalias sed
-       fi
-
-       use usb && export NON_NATIVE_SUBDIRS="${NON_NATIVE_SUBDIRS} lib/libusb lib/libusbhid"
-
-       cd "${WORKDIR}/include"
-       $(freebsd_get_bmake) CC="$(tc-getCC)" SRCTOP="${WORKDIR}" || die "make include failed"
-
-       use headers-only && return 0
-
-       # Bug #270098
-       append-flags $(test-flags -fno-strict-aliasing)
-
-       # Bug #324445
-       append-flags $(test-flags -fno-strict-overflow)
-
-       # strip flags and do not do it later, we only add safe, and in fact
-       # needed flags after all
-       strip-flags
-       export NOFLAGSTRIP=yes
-       if is_crosscompile ; then
-               export YACC='yacc -by'
-               CHOST=${CTARGET} tc-export CC LD CXX RANLIB
-               mymakeopts="${mymakeopts} NLS="
-               CFLAGS="${CFLAGS} -isystem /usr/${CTARGET}/usr/include"
-               CXXFLAGS="${CXXFLAGS} -isystem /usr/${CTARGET}/usr/include"
-               append-ldflags "-L${WORKDIR}/${CHOST}/${WORKDIR}/lib/libc"
-       fi
-
-       if is_crosscompile ; then
-               do_compile
-       else
-               local MULTIBUILD_VARIANTS=( $(multilib_get_enabled_abis) )
-               multibuild_foreach_variant freebsd_multilib_multibuild_wrapper do_compile
-               multibuild_foreach_variant freebsd_multilib_multibuild_wrapper libexec_setup_multilib_vars freebsd_src_compile
-       fi
-}
-
-gen_libc_ldscript() {
-       # Parameters:
-       #   $1 = target libdir
-       #   $2 = source libc dir
-       #   $3 = source libssp_nonshared dir
-
-       # Clear the symlink.
-       rm -f "${DESTDIR}/$2/libc.so" || die
-
-       # Move the library if needed
-       if [ "$1" != "$2" ] ; then
-               mv "${DESTDIR}/$2/libc.so.7" "${DESTDIR}/$1/" || die
-       fi
-
-       # Generate libc.so ldscript for inclusion of libssp_nonshared.a when linking
-       # this is done to avoid having to touch gcc spec file as it is currently
-       # done on FreeBSD upstream, mostly because their binutils aren't able to
-       # cope with linker scripts yet.
-       # Taken from toolchain-funcs.eclass:
-       local output_format
-       output_format=$($(tc-getCC) ${CFLAGS} ${LDFLAGS} -Wl,--verbose 2>&1 | sed -n 's/^OUTPUT_FORMAT("\([^"]*\)",.*/\1/p')
-       [[ -n ${output_format} ]] && output_format="OUTPUT_FORMAT ( ${output_format} )"
-
-       # The iconv symbol is provided by libc_nonshared.a.
-       # http://svnweb.freebsd.org/base?view=revision&amp;revision=258283
-       cat > "${DESTDIR}/$2/libc.so" <<-END_LDSCRIPT
-/* GNU ld script
-   SSP (-fstack-protector) requires __stack_chk_fail_local to be local.
-   GCC invokes this symbol in a non-PIC way, which results in TEXTRELs if
-   this symbol was provided by a shared libc. So we link in
-   libssp_nonshared.a from here.
- */
-${output_format}
-GROUP ( /$1/libc.so.7 /$3/libc_nonshared.a /$3/libssp_nonshared.a )
-END_LDSCRIPT
-}
-
-header_list=""
-
-move_header() {
-       local dirname=$(dirname ${1})
-       local filename=$(basename ${1})
-
-       if [ ! -d "${dirname}/${ABI}" ] ; then
-               mkdir "${dirname}/${ABI}" || die
-       fi
-
-       mv "${1}" "${dirname}/${ABI}/" || die
-
-       export header_list="${header_list} ${1}"
-}
-
-make_header_template() {
-       cat <<-END_HEADER
-/*
- * Wrapped header for multilib support.
- * See the real headers included below.
- */
-
-#if defined(__x86_64__)
-  @ABI_amd64_fbsd@
-#elif defined(__i386__)
-  @ABI_x86_fbsd@
-#else
-  @ABI_${DEFAULT_ABI}@
-#endif
-END_HEADER
-}
-
-wrap_header() {
-       local dirname=$(dirname ${1})
-       local filename=$(basename ${1})
-
-       if [ -n "${dirname#.}" ] ; then
-               dirname="${dirname}/${2}"
-       else
-               dirname="${2}"
-       fi
-
-       if [ -f "${dirname}/${filename}" ] ; then
-               sed -e "s:@ABI_${2}@:#include <${dirname}/${filename}>:" ${1}
-       else
-               cat ${1}
-       fi
-}
-
-wrap_header_end() {
-       sed -e "s:@ABI_.*@:#error \"Sorry, no support for your ABI.\":" ${1}
-}
-
-do_install() {
-       if is_crosscompile ; then
-               INCLUDEDIR="/usr/${CTARGET}/usr/include"
-       else
-               INCLUDEDIR="/usr/include"
-       fi
-
-       dodir ${INCLUDEDIR}
-       CTARGET="${CHOST}" \
-               install_includes ${INCLUDEDIR}
-
-       is_crosscompile && use headers-only && return 0
-
-       # Install a libusb.pc for better compat with Linux's libusb
-       if use usb ; then
-               dodir /usr/$(get_libdir)/pkgconfig
-               sed -i.bkp "s:^libdir=.*:libdir=/usr/$(get_libdir):g" "${S}"/libusb/libusb-*.pc
-       fi
-
-       for i in $(get_subdirs) ; do
-               if [[ ${i} != *libiconv_modules* ]] ; then
-                       einfo "Installing in ${i}..."
-                       cd "${WORKDIR}/${i}/" || die "missing ${i}."
-                       freebsd_src_install || die "Install ${i} failed"
-               fi
-       done
-
-       if ! is_crosscompile; then
-               local mymakeopts_save="${mymakeopts}"
-               mymakeopts="${mymakeopts} SHLIBDIR=/usr/$(get_libdir)/i18n LIBDIR=/usr/$(get_libdir)/i18n"
-
-               einfo "Installing in lib/libiconv_modules..."
-               cd "${WORKDIR}/lib/libiconv_modules/" || die "missing libiconv_modules."
-               freebsd_src_install || die "Install lib/libiconv_modules failed"
-
-               mymakeopts="${mymakeopts_save}"
-       fi
-
-       if ! is_crosscompile ; then
-               if ! multilib_is_native_abi ; then
-                       DESTDIR="${D}" gen_libc_ldscript "usr/$(get_libdir)" "usr/$(get_libdir)" "usr/$(get_libdir)"
-               else
-                       dodir "$(get_libdir)"
-                       DESTDIR="${D}" gen_libc_ldscript "$(get_libdir)" "usr/$(get_libdir)" "usr/$(get_libdir)"
-               fi
-       else
-               CHOST=${CTARGET} DESTDIR="${D}/usr/${CTARGET}/" gen_libc_ldscript "usr/lib" "usr/lib" "usr/lib"
-               # We're done for the cross libc here.
-               return 0
-       fi
-
-       # Generate ldscripts for core libraries that will go in /
-       multilib_is_native_abi && \
-               gen_usr_ldscript -a alias cam geom ipsec jail kiconv \
-                       kvm m md procstat sbuf thr ufs util elf
-
-       if [[ ${#MULTIBUILD_VARIANTS[@]} -gt 1 ]] ; then
-               cd "${D}/usr/include"
-               for i in machine/*.h fenv.h ; do
-                       move_header ${i}
-               done
-               if multilib_is_native_abi ; then
-                       # Supposedly the last one!
-                       local uniq_headers="$(echo ${header_list} | tr ' ' '\n' | sort | uniq | tr '\n' ' ')"
-                       for j in ${uniq_headers} ; do
-                               make_header_template > ${j}
-                               for i in $(get_all_abis) ; do
-                                       wrap_header ${j} ${i} > ${j}.new
-                                       cp ${j}.new ${j}
-                                       rm -f ${j}.new
-                               done
-                               wrap_header_end ${j} > ${j}.new
-                               cp ${j}.new ${j}
-                               rm -f ${j}.new
-                       done
-               fi
-       fi
-}
-
-src_install() {
-       if is_crosscompile ; then
-               einfo "Installing for ${CTARGET} in ${CHOST}.."
-               # From this point we need to force: get stripped with the correct tools,
-               # get tc-arch-kernel to return the right value, etc.
-               export CHOST=${CTARGET}
-
-               mymakeopts="${mymakeopts} WITHOUT_MAN= \
-                       INCLUDEDIR=/usr/${CTARGET}/usr/include \
-                       SHLIBDIR=/usr/${CTARGET}/usr/lib \
-                       LIBDIR=/usr/${CTARGET}/usr/lib"
-
-               dosym "usr/include" "/usr/${CTARGET}/sys-include"
-               do_install
-
-               return 0
-       else
-               export STRIP_MASK="*/usr/lib*/*crt*.o"
-               local MULTIBUILD_VARIANTS=( $(multilib_get_enabled_abis) )
-               multibuild_foreach_variant freebsd_multilib_multibuild_wrapper do_install
-
-               # Taken from freebsd-libexec.
-               multibuild_foreach_variant freebsd_multilib_multibuild_wrapper libexec_setup_multilib_vars freebsd_src_install
-               insinto /etc
-               doins "${WORKDIR}/etc/gettytab"
-               newinitd "${FILESDIR}/bootpd.initd" bootpd
-               newconfd "${FILESDIR}/bootpd.confd" bootpd
-
-               if use xinetd; then
-                       for rpcd in rstatd rusersd walld rquotad sprayd; do
-                               insinto /etc/xinetd.d
-                               newins "${FILESDIR}/${rpcd}.xinetd" ${rpcd}
-                       done
-               fi
-       fi
-
-       cd "${WORKDIR}/etc/"
-       insinto /etc
-       doins nls.alias mac.conf netconfig
-
-       # Install ttys file
-       local MACHINE="$(tc-arch-kernel)"
-       doins "etc.${MACHINE}"/*
-}
-
-install_includes()
-{
-       local INCLUDEDIR="$1"
-
-       # The idea is to be called from either install or unpack.
-       # During unpack it's required to install them as portage's user.
-       if [[ "${EBUILD_PHASE}" == "install" ]]; then
-               local DESTDIR="${D}"
-               BINOWN="root"
-               BINGRP="wheel"
-       else
-               local DESTDIR="${WORKDIR}"
-               [[ -z "${USER}" ]] && USER="portage"
-               BINOWN="${USER}"
-               [[ -z "${GROUPS}" ]] && GROUPS="portage"
-               BINGRP="${GROUPS}"
-       fi
-
-       # Must exist before we use it.
-       [[ -d "${DESTDIR}${INCLUDEDIR}" ]] || die "dodir or mkdir ${INCLUDEDIR} before using install_includes."
-       cd "${WORKDIR}/include"
-
-       local MACHINE="$(tc-arch-kernel)"
-
-       einfo "Installing includes into ${INCLUDEDIR} as ${BINOWN}:${BINGRP}..."
-       $(freebsd_get_bmake) installincludes \
-               MACHINE=${MACHINE} MACHINE_ARCH=${MACHINE} \
-               DESTDIR="${DESTDIR}" \
-               INCLUDEDIR="${INCLUDEDIR}" BINOWN="${BINOWN}" \
-               BINGRP="${BINGRP}" \
-               WITHOUT_GSSAPI= \
-               $(usex zfs "WITH_CDDL=" "WITHOUT_CDDL=") \
-               SRCTOP="${WORKDIR}"|| die "install_includes() failed"
-       einfo "includes installed ok."
-       EXTRA_INCLUDES="lib/librtld_db lib/libutil lib/msun gnu/lib/libregex lib/libcasper lib/libmp"
-       for i in $EXTRA_INCLUDES; do
-               einfo "Installing $i includes into ${INCLUDEDIR} as ${BINOWN}:${BINGRP}..."
-               cd "${WORKDIR}/$i" || die
-               $(freebsd_get_bmake) installincludes DESTDIR="${DESTDIR}" \
-                       MACHINE=${MACHINE} MACHINE_ARCH=${MACHINE} \
-                       INCLUDEDIR="${INCLUDEDIR}" BINOWN="${BINOWN}" \
-                       BINGRP="${BINGRP}" \
-                       SRCTOP="${WORKDIR}" || die "problem installing $i includes."
-               einfo "$i includes installed ok."
-       done
-}
diff --git a/sys-freebsd/freebsd-lib/freebsd-lib-9.1-r11.ebuild b/sys-freebsd/freebsd-lib/freebsd-lib-9.1-r11.ebuild
deleted file mode 100644 (file)
index 354d1d4..0000000
+++ /dev/null
@@ -1,616 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-inherit bsdmk freebsd flag-o-matic multilib toolchain-funcs eutils multibuild multilib-build usr-ldscript
-
-DESCRIPTION="FreeBSD's base system libraries"
-SLOT="0"
-KEYWORDS="~amd64-fbsd ~x86-fbsd"
-
-# Crypto is needed to have an internal OpenSSL header
-# sys is needed for libalias, probably we can just extract that instead of
-# extracting the whole tarball
-SRC_URI="mirror://gentoo/${LIB}.tar.bz2
-               mirror://gentoo/${CONTRIB}.tar.bz2
-               mirror://gentoo/${CRYPTO}.tar.bz2
-               mirror://gentoo/${LIBEXEC}.tar.bz2
-               mirror://gentoo/${ETC}.tar.bz2
-               mirror://gentoo/${INCLUDE}.tar.bz2
-               mirror://gentoo/${USBIN}.tar.bz2
-               mirror://gentoo/${GNU}.tar.bz2
-               build? (
-                       mirror://gentoo/${SYS}.tar.bz2 )
-               zfs? (
-                       mirror://gentoo/${CDDL}.tar.bz2 )"
-
-if [ "${CATEGORY#*cross-}" = "${CATEGORY}" ]; then
-       RDEPEND="ssl? ( dev-libs/openssl )
-               kerberos? ( app-crypt/heimdal )
-               usb? ( !dev-libs/libusb )
-               zfs? ( =sys-freebsd/freebsd-cddl-${RV}* )
-               >=dev-libs/expat-2.0.1
-               !sys-libs/libutempter
-               !sys-freebsd/freebsd-headers"
-       DEPEND="${RDEPEND}
-               >=sys-devel/flex-2.5.31-r2
-               =sys-freebsd/freebsd-sources-${RV}*"
-else
-       SRC_URI="${SRC_URI}
-                       mirror://gentoo/${SYS}.tar.bz2"
-fi
-
-DEPEND="${DEPEND}
-               userland_GNU? ( sys-apps/mtree )
-               =sys-freebsd/freebsd-mk-defs-${RV}*"
-
-S="${WORKDIR}/lib"
-
-export CTARGET=${CTARGET:-${CHOST}}
-if [ "${CTARGET}" = "${CHOST}" -a "${CATEGORY#*cross-}" != "${CATEGORY}" ]; then
-       export CTARGET=${CATEGORY/cross-}
-fi
-
-IUSE="atm bluetooth ssl ipv6 kerberos usb netware
-       build headers-only zfs
-       userland_GNU userland_BSD"
-
-QA_DT_NEEDED="lib/libc.so.7 usr/lib32/libc.so.7"
-
-pkg_setup() {
-       [ -c /dev/zero ] || \
-               die "You forgot to mount /dev; the compiled libc would break."
-
-       if ! use ssl && use kerberos; then
-               eerror "If you want kerberos support you need to enable ssl support, too."
-       fi
-
-       use atm || mymakeopts="${mymakeopts} WITHOUT_ATM= "
-       use bluetooth || mymakeopts="${mymakeopts} WITHOUT_BLUETOOTH= "
-       mymakeopts="${mymakeopts} WITHOUT_HESIOD= "
-       use ipv6 || mymakeopts="${mymakeopts} WITHOUT_INET6_SUPPORT= "
-       use kerberos || mymakeopts="${mymakeopts} WITHOUT_KERBEROS_SUPPORT= WITHOUT_GSSAPI= "
-       use netware || mymakeopts="${mymakeopts} WITHOUT_IPX= WITHOUT_IPX_SUPPORT= WITHOUT_NCP= "
-       use ssl || mymakeopts="${mymakeopts} WITHOUT_OPENSSL= "
-       use usb || mymakeopts="${mymakeopts} WITHOUT_USB= "
-       use zfs || mymakeopts="${mymakeopts} WITHOUT_CDDL= "
-
-       mymakeopts="${mymakeopts} WITHOUT_BIND= WITHOUT_BIND_LIBS= WITHOUT_SENDMAIL= WITHOUT_CLANG= "
-
-       if [ "${CTARGET}" != "${CHOST}" ]; then
-               mymakeopts="${mymakeopts} MACHINE=$(tc-arch-kernel ${CTARGET})"
-               mymakeopts="${mymakeopts} MACHINE_ARCH=$(tc-arch-kernel ${CTARGET})"
-       fi
-}
-
-PATCHES=(
-       "${FILESDIR}/${PN}-6.0-pmc.patch"
-       "${FILESDIR}/${PN}-6.0-flex-2.5.31.patch"
-       "${FILESDIR}/${PN}-6.1-csu.patch"
-       "${FILESDIR}/${PN}-9.0-liblink.patch"
-       "${FILESDIR}/${PN}-bsdxml2expat.patch"
-       "${FILESDIR}/${PN}-9.0-netware.patch"
-       "${FILESDIR}/${PN}-9.0-cve-2010-2632.patch"
-       "${FILESDIR}/${PN}-9.0-bluetooth.patch"
-       "${FILESDIR}/${PN}-9.1-.eh_frame_hdr-fix.patch"
-       "${FILESDIR}/${PN}-add-nossp-cflags.patch"
-       )
-
-# Here we disable and remove source which we don't need or want
-# In order:
-# - ncurses stuff
-# - libexpat creates a bsdxml library which is the same as expat
-# - archiving libraries (have their own ebuild)
-# - sendmail libraries (they are installed by sendmail)
-# - SNMP library and dependency (have their own ebuilds)
-# - libstand: static library, 32bits on amd64 used for boot0, we build it from
-# boot0 instead.
-#
-# The rest are libraries we already have somewhere else because
-# they are contribution.
-# Note: libtelnet is an internal lib used by telnet and telnetd programs
-# as it's not used in freebsd-lib package itself, it's pointless building
-# it here.
-REMOVE_SUBDIRS="ncurses \
-       libexpat \
-       libz libbz2 libarchive liblzma \
-       libsm libsmdb libsmutil \
-       libbegemot libbsnmp \
-       libpam libpcap bind libwrap libmagic \
-       libcom_err libtelnet
-       libelf libedit
-       libstand
-       libgssapi"
-
-# Are we building a cross-compiler?
-is_crosscompile() {
-       [ "${CATEGORY#*cross-}" != "${CATEGORY}" ]
-}
-
-src_prepare() {
-       sed -i.bak -e 's:-o/dev/stdout:-t:' "${S}/libc/net/Makefile.inc"
-
-       # Upstream Display Managers default to using VT7
-       # We should make FreeBSD allow this by default
-       local x=
-       for x in "${WORKDIR}"/etc/etc.*/ttys ; do
-               sed -i.bak \
-                       -e '/ttyv5[[:space:]]/ a\
-# Display Managers default to VT7.\
-# If you use the xdm init script, keep ttyv6 commented out\
-# unless you force a different VT for the DM being used.' \
-                       -e '/^ttyv[678][[:space:]]/ s/^/# /' "${x}" \
-                       || die "Failed to sed ${x}"
-               rm "${x}".bak
-       done
-
-       # This one is here because it also
-       # patches "${WORKDIR}/include"
-       cd "${WORKDIR}"
-       epatch "${FILESDIR}/${PN}-includes.patch"
-       epatch "${FILESDIR}/${PN}-8.0-gcc45.patch"
-       epatch "${FILESDIR}/${PN}-9.0-opieincludes.patch"
-       epatch "${FILESDIR}/${PN}-9.1-aligned_alloc.patch"
-       epatch "${FILESDIR}/${PN}-9.1-rmgssapi.patch"
-
-       # Don't install the hesiod man page or header
-       rm "${WORKDIR}"/include/hesiod.h || die
-       sed -i.bak -e 's:hesiod.h::' "${WORKDIR}"/include/Makefile || die
-       sed -i.bak -e 's:hesiod.c::' -e 's:hesiod.3::' \
-       "${WORKDIR}"/lib/libc/net/Makefile.inc || die
-
-       # Fix the Makefiles of these few libraries that will overwrite our LDADD.
-       cd "${S}"
-       for dir in libradius libtacplus libcam libdevstat libfetch libgeom libmemstat libopie \
-               libsmb libprocstat libulog; do sed -i.bak -e 's:LDADD=:LDADD+=:g' "${dir}/Makefile" || \
-               die "Problem fixing \"${dir}/Makefile"
-       done
-       # Call LD with LDFLAGS, rename them to RAW_LDFLAGS
-       sed -e 's/LDFLAGS/RAW_LDFLAGS/g' \
-               -i "${S}/csu/i386-elf/Makefile" \
-               -i "${S}/csu/ia64/Makefile" || die
-       if use build; then
-               cd "${WORKDIR}"
-               # This patch has to be applied on ${WORKDIR}/sys, so we do it here since it
-               # shouldn't be a symlink to /usr/src/sys (which should be already patched)
-               epatch "${FILESDIR}"/${PN}-7.1-types.h-fix.patch
-               epatch "${FILESDIR}"/freebsd-sources-9.0-sysctluint.patch
-               return 0
-       fi
-
-       if ! is_crosscompile ; then
-               ln -s "/usr/src/sys-${RV}" "${WORKDIR}/sys" || die "Couldn't make sys symlink!"
-       else
-               sed -i.bak -e "s:/usr/include:/usr/${CTARGET}/usr/include:g" \
-                       "${S}/libc/rpc/Makefile.inc" \
-                       "${S}/libc/yp/Makefile.inc"
-       fi
-
-       if install --version 2> /dev/null | grep -q GNU; then
-               sed -i.bak -e 's:${INSTALL} -C:${INSTALL}:' "${WORKDIR}/include/Makefile"
-       fi
-
-       # Try to fix sed calls for GNU sed. Do it only with GNU userland and force
-       # BSD's sed on BSD.
-       cd "${S}"
-       if use userland_GNU; then
-               find . -name Makefile -exec sed -ibak 's/sed -i /sed -i/' {} \;
-       fi
-}
-
-get_csudir() {
-       if [ -d "${WORKDIR}/lib/csu/$1-elf" ]; then
-               echo "lib/csu/$1-elf"
-       else
-               echo "lib/csu/$1"
-       fi
-}
-
-bootstrap_csu() {
-       local csudir="$(get_csudir $(tc-arch-kernel ${CTARGET}))"
-       export RAW_LDFLAGS=$(raw-ldflags)
-       cd "${WORKDIR}/${csudir}" || die "Missing ${csudir}."
-       freebsd_src_compile
-
-       CFLAGS="${CFLAGS} -B ${MAKEOBJDIRPREFIX}/${WORKDIR}/${csudir}"
-       append-ldflags "-B ${MAKEOBJDIRPREFIX}/${WORKDIR}/${csudir}"
-
-       cd "${WORKDIR}/gnu/lib/csu" || die
-       freebsd_src_compile
-       cd "${MAKEOBJDIRPREFIX}/${WORKDIR}/gnu/lib/csu"
-       for i in *.So ; do
-               ln -s $i ${i%.So}S.o
-       done
-       CFLAGS="${CFLAGS} -B ${MAKEOBJDIRPREFIX}/${WORKDIR}/gnu/lib/csu"
-       append-ldflags "-B ${MAKEOBJDIRPREFIX}/${WORKDIR}/gnu/lib/csu"
-}
-
-# Compile libssp_nonshared.a and add it's path to LDFLAGS.
-bootstrap_libssp_nonshared() {
-       cd "${WORKDIR}/gnu/lib/libssp/libssp_nonshared/" || die "missing libssp."
-       freebsd_src_compile
-       append-ldflags "-L${MAKEOBJDIRPREFIX}/${WORKDIR}/gnu/lib/libssp/libssp_nonshared/"
-       export LDADD="-lssp_nonshared"
-}
-
-bootstrap_libc() {
-       cd "${WORKDIR}/lib/libc" || die
-       freebsd_src_compile
-       append-ldflags "-L${MAKEOBJDIRPREFIX}/${WORKDIR}/lib/libc"
-}
-
-bootstrap_libgcc() {
-       cd "${WORKDIR}/lib/libcompiler_rt" || die
-       freebsd_src_compile
-       cd "${MAKEOBJDIRPREFIX}/${WORKDIR}/lib/libcompiler_rt" || die
-       ln -s libcompiler_rt.a libgcc.a || die
-       append-ldflags "-L${MAKEOBJDIRPREFIX}/${WORKDIR}/lib/libcompiler_rt"
-
-       bootstrap_libc
-
-       cd "${WORKDIR}/gnu/lib/libgcc" || die
-       freebsd_src_compile
-       append-ldflags "-L${MAKEOBJDIRPREFIX}/${WORKDIR}/gnu/lib/libgcc"
-}
-
-bootstrap_libthr() {
-       cd "${WORKDIR}/lib/libthr" || die
-       freebsd_src_compile
-       append-ldflags "-L${MAKEOBJDIRPREFIX}/${WORKDIR}/lib/libthr"
-       cd "${MAKEOBJDIRPREFIX}/${WORKDIR}/lib/libthr" || die
-       ln -s libthr.so libpthread.so
-}
-
-# What to build for a cross-compiler.
-# We also need the csu but this has to be handled separately.
-CROSS_SUBDIRS="lib/libc lib/msun gnu/lib/libssp/libssp_nonshared lib/libthr lib/libutil lib/librt"
-
-# What to build for non-default ABIs.
-NON_NATIVE_SUBDIRS="${CROSS_SUBDIRS} gnu/lib/csu lib/libcompiler_rt gnu/lib/libgcc lib/libmd lib/libcrypt"
-
-# Subdirs for a native build:
-NATIVE_SUBDIRS="lib gnu/lib/libssp/libssp_nonshared gnu/lib/libregex gnu/lib/csu gnu/lib/libgcc"
-
-# Is my $ABI native ?
-is_native_abi() {
-       is_crosscompile && return 1
-       multilib_is_native_abi
-}
-
-# Do we need to bootstrap the csu and libssp_nonshared?
-need_bootstrap() {
-       is_crosscompile || use build || { ! is_native_abi && ! has_version '>=sys-freebsd/freebsd-lib-9.1-r8[multilib]' && ! has_version ">=sys-freebsd/freebsd-lib-9.1-r11[${MULTILIB_USEDEP}]" ; } || has_version "<${CATEGORY}/${P}"
-}
-
-# Get the subdirs we are building.
-get_subdirs() {
-       local ret=""
-       if is_native_abi ; then
-               # If we are building for the native ABI, build everything
-               ret="${NATIVE_SUBDIRS}"
-       elif is_crosscompile ; then
-               # With a cross-compiler we only build the very core parts.
-               ret="${CROSS_SUBDIRS}"
-               if [ "${EBUILD_PHASE}" = "install" ]; then
-                       # Add the csu dir first when installing. We treat it separately for
-                       # compiling.
-                       ret="$(get_csudir $(tc-arch-kernel ${CTARGET})) ${ret}"
-               fi
-       else
-               # For the non-native ABIs we only build the csu parts and very core
-               # libraries for now.
-               ret="${NON_NATIVE_SUBDIRS} $(get_csudir $(tc-arch-kernel ${CHOST}))"
-       fi
-       echo "${ret}"
-}
-
-# Bootstrap the core libraries and setup the flags so that the other parts can
-# build against it.
-do_bootstrap() {
-       einfo "Bootstrapping on ${CHOST} for ${CTARGET}"
-       if ! is_crosscompile ; then
-               # Pre-install headers, but not when building a cross-compiler since we
-               # assume they have been installed in the previous pass.
-               einfo "Pre-installing includes in include_proper_${ABI}"
-               mkdir "${WORKDIR}/include_proper_${ABI}" || die
-               CTARGET="${CHOST}" install_includes "/include_proper_${ABI}"
-               CFLAGS="${CFLAGS} -isystem ${WORKDIR}/include_proper_${ABI}"
-       fi
-       bootstrap_csu
-       bootstrap_libssp_nonshared
-       is_crosscompile && bootstrap_libc
-       is_crosscompile || is_native_abi || bootstrap_libgcc
-       is_native_abi   || bootstrap_libthr
-}
-
-# Compile it. Assume we have the toolchain setup correctly.
-do_compile() {
-       # Bootstrap if needed, otherwise assume the system headers are in
-       # /usr/include.
-       if need_bootstrap ; then
-               do_bootstrap
-       else
-               CFLAGS="${CFLAGS} -isystem /usr/include"
-       fi
-
-       export RAW_LDFLAGS=$(raw-ldflags)
-
-       # Everything is now setup, build it!
-       for i in $(get_subdirs) ; do
-               einfo "Building in ${i}... with CC=${CC} and CFLAGS=${CFLAGS}"
-               cd "${WORKDIR}/${i}/" || die "missing ${i}."
-               freebsd_src_compile || die "make ${i} failed"
-       done
-}
-
-src_compile() {
-       # Does not work with GNU sed
-       # Force BSD's sed on BSD.
-       if use userland_BSD ; then
-               export ESED=/usr/bin/sed
-               unalias sed
-       fi
-
-       use usb && export NON_NATIVE_SUBDIRS="${NON_NATIVE_SUBDIRS} lib/libusb lib/libusbhid"
-
-       cd "${WORKDIR}/include"
-       $(freebsd_get_bmake) CC="$(tc-getCC)" || die "make include failed"
-
-       use headers-only && return 0
-
-       # Bug #270098
-       append-flags $(test-flags -fno-strict-aliasing)
-
-       # Bug #324445
-       append-flags $(test-flags -fno-strict-overflow)
-
-       # strip flags and do not do it later, we only add safe, and in fact
-       # needed flags after all
-       strip-flags
-       export NOFLAGSTRIP=yes
-       if is_crosscompile ; then
-               export YACC='yacc -by'
-               CHOST=${CTARGET} tc-export CC LD CXX RANLIB
-               mymakeopts="${mymakeopts} NLS="
-               CFLAGS="${CFLAGS} -isystem /usr/${CTARGET}/usr/include"
-               append-ldflags "-L${WORKDIR}/${CHOST}/${WORKDIR}/lib/libc"
-       fi
-
-       if is_crosscompile ; then
-               do_compile
-       else
-               local MULTIBUILD_VARIANTS=( $(multilib_get_enabled_abis) )
-               multibuild_foreach_variant freebsd_multilib_multibuild_wrapper do_compile
-       fi
-}
-
-gen_libc_ldscript() {
-       # Parameters:
-       #   $1 = target libdir
-       #   $2 = source libc dir
-       #   $3 = source libssp_nonshared dir
-
-       # Clear the symlink.
-       rm -f "${D}/$2/libc.so" || die
-
-       # Move the library if needed
-       if [ "$1" != "$2" ] ; then
-               mv "${D}/$2/libc.so.7" "${D}/$1/" || die
-       fi
-
-       # Generate libc.so ldscript for inclusion of libssp_nonshared.a when linking
-       # this is done to avoid having to touch gcc spec file as it is currently
-       # done on FreeBSD upstream, mostly because their binutils aren't able to
-       # cope with linker scripts yet.
-       # Taken from toolchain-funcs.eclass:
-       local output_format
-       output_format=$($(tc-getCC) ${CFLAGS} ${LDFLAGS} -Wl,--verbose 2>&1 | sed -n 's/^OUTPUT_FORMAT("\([^"]*\)",.*/\1/p')
-       [[ -n ${output_format} ]] && output_format="OUTPUT_FORMAT ( ${output_format} )"
-
-       cat > "${D}/$2/libc.so" <<-END_LDSCRIPT
-/* GNU ld script
-   SSP (-fstack-protector) requires __stack_chk_fail_local to be local.
-   GCC invokes this symbol in a non-PIC way, which results in TEXTRELs if
-   this symbol was provided by a shared libc. So we link in
-   libssp_nonshared.a from here.
- */
-${output_format}
-GROUP ( /$1/libc.so.7 /$3/libssp_nonshared.a )
-END_LDSCRIPT
-}
-
-header_list=""
-
-move_header() {
-       local dirname=$(dirname ${1})
-       local filename=$(basename ${1})
-
-       if [ ! -d "${dirname}/${ABI}" ] ; then
-               mkdir "${dirname}/${ABI}" || die
-       fi
-
-       mv "${1}" "${dirname}/${ABI}/" || die
-
-       export header_list="${header_list} ${1}"
-}
-
-make_header_template() {
-       cat <<-END_HEADER
-/*
- * Wrapped header for multilib support.
- * See the real headers included below.
- */
-
-#if defined(__x86_64__)
-  @ABI_amd64_fbsd@
-#elif defined(__i386__)
-  @ABI_x86_fbsd@
-#else
-  @ABI_${DEFAULT_ABI}@
-#endif
-END_HEADER
-}
-
-wrap_header() {
-       local dirname=$(dirname ${1})
-       local filename=$(basename ${1})
-
-       if [ -n "${dirname#.}" ] ; then
-               dirname="${dirname}/${2}"
-       else
-               dirname="${2}"
-       fi
-
-       if [ -f "${dirname}/${filename}" ] ; then
-               sed -e "s:@ABI_${2}@:#include <${dirname}/${filename}>:" ${1}
-       else
-               cat ${1}
-       fi
-}
-
-wrap_header_end() {
-       sed -e "s:@ABI_.*@:#error \"Sorry, no support for your ABI.\":" ${1}
-}
-
-do_install() {
-       if is_crosscompile ; then
-               INCLUDEDIR="/usr/${CTARGET}/usr/include"
-       else
-               INCLUDEDIR="/usr/include"
-       fi
-
-       dodir ${INCLUDEDIR}
-       CTARGET="${CHOST}" \
-               install_includes ${INCLUDEDIR}
-
-       is_crosscompile && use headers-only && return 0
-
-       for i in $(get_subdirs) ; do
-               einfo "Installing in ${i}..."
-               cd "${WORKDIR}/${i}/" || die "missing ${i}."
-               freebsd_src_install || die "Install ${i} failed"
-       done
-
-       if ! is_crosscompile ; then
-               if ! multilib_is_native_abi ; then
-                       gen_libc_ldscript "usr/$(get_libdir)" "usr/$(get_libdir)" "usr/$(get_libdir)"
-               else
-                       dodir "$(get_libdir)"
-                       gen_libc_ldscript "$(get_libdir)" "usr/$(get_libdir)" "usr/$(get_libdir)"
-               fi
-       else
-               CHOST=${CTARGET} gen_libc_ldscript "usr/${CTARGET}/usr/lib" "usr/${CTARGET}/usr/lib" "usr/${CTARGET}/usr/lib"
-       fi
-
-       # Install a libusb.pc for better compat with Linux's libusb
-       if use usb ; then
-               dodir /usr/$(get_libdir)/pkgconfig
-               sed -e "s:@LIBDIR@:/usr/$(get_libdir):" "${FILESDIR}/libusb.pc.in" > "${D}/usr/$(get_libdir)/pkgconfig/libusb.pc" || die
-               sed -e "s:@LIBDIR@:/usr/$(get_libdir):" "${FILESDIR}/libusb-1.0.pc.in" > "${D}/usr/$(get_libdir)/pkgconfig/libusb-1.0.pc" || die
-       fi
-
-       # Generate ldscripts for core libraries that will go in /
-       multilib_is_native_abi && \
-               gen_usr_ldscript -a alias cam geom ipsec jail kiconv \
-                       kvm m md procstat sbuf thr ufs util
-
-       if [[ ${#MULTIBUILD_VARIANTS[@]} -gt 1 ]] ; then
-               cd "${D}/usr/include"
-               for i in machine/*.h fenv.h ; do
-                       move_header ${i}
-               done
-               if multilib_is_native_abi ; then
-                       # Supposedly the last one!
-                       local uniq_headers="$(echo ${header_list} | tr ' ' '\n' | sort | uniq | tr '\n' ' ')"
-                       for j in ${uniq_headers} ; do
-                               make_header_template > ${j}
-                               for i in $(get_all_abis) ; do
-                                       wrap_header ${j} ${i} > ${j}.new
-                                       cp ${j}.new ${j}
-                                       rm -f ${j}.new
-                               done
-                               wrap_header_end ${j} > ${j}.new
-                               cp ${j}.new ${j}
-                               rm -f ${j}.new
-                       done
-               fi
-       fi
-}
-
-src_install() {
-       if is_crosscompile ; then
-               einfo "Installing for ${CTARGET} in ${CHOST}.."
-               # From this point we need to force: get stripped with the correct tools,
-               # get tc-arch-kernel to return the right value, etc.
-               export CHOST=${CTARGET}
-
-               mymakeopts="${mymakeopts} NO_MAN= \
-                       INCLUDEDIR=/usr/${CTARGET}/usr/include \
-                       SHLIBDIR=/usr/${CTARGET}/usr/lib \
-                       LIBDIR=/usr/${CTARGET}/usr/lib"
-
-               dosym "usr/include" "/usr/${CTARGET}/sys-include"
-               do_install
-
-               return 0
-       else
-               export STRIP_MASK="*/usr/lib*/*crt*.o"
-               local MULTIBUILD_VARIANTS=( $(multilib_get_enabled_abis) )
-               multibuild_foreach_variant freebsd_multilib_multibuild_wrapper do_install
-       fi
-
-       cd "${WORKDIR}/etc/"
-       insinto /etc
-       doins nls.alias mac.conf netconfig
-
-       # Install ttys file
-       local MACHINE="$(tc-arch-kernel)"
-       doins "etc.${MACHINE}"/*
-
-       # unset to run QA check properly
-       unset ESED
-}
-
-install_includes()
-{
-       local INCLUDEDIR="$1"
-
-       # The idea is to be called from either install or unpack.
-       # During unpack it's required to install them as portage's user.
-       if [[ "${EBUILD_PHASE}" == "install" ]]; then
-               local DESTDIR="${D}"
-               BINOWN="root"
-               BINGRP="wheel"
-       else
-               local DESTDIR="${WORKDIR}"
-               [[ -z "${USER}" ]] && USER="portage"
-               BINOWN="${USER}"
-               [[ -z "${GROUPS}" ]] && GROUPS="portage"
-               BINGRP="${GROUPS}"
-       fi
-
-       # Must exist before we use it.
-       [[ -d "${DESTDIR}${INCLUDEDIR}" ]] || die "dodir or mkdir ${INCLUDEDIR} before using install_includes."
-       cd "${WORKDIR}/include"
-
-       local MACHINE="$(tc-arch-kernel)"
-
-       einfo "Installing includes into ${INCLUDEDIR} as ${BINOWN}:${BINGRP}..."
-       $(freebsd_get_bmake) installincludes \
-               MACHINE=${MACHINE} MACHINE_ARCH=${MACHINE} \
-               DESTDIR="${DESTDIR}" \
-               INCLUDEDIR="${INCLUDEDIR}" BINOWN="${BINOWN}" \
-               BINGRP="${BINGRP}" || die "install_includes() failed"
-       einfo "includes installed ok."
-       EXTRA_INCLUDES="lib/librtld_db lib/libutil lib/msun gnu/lib/libregex"
-       for i in $EXTRA_INCLUDES; do
-               einfo "Installing $i includes into ${INCLUDEDIR} as ${BINOWN}:${BINGRP}..."
-               cd "${WORKDIR}/$i" || die
-               $(freebsd_get_bmake) installincludes DESTDIR="${DESTDIR}" \
-                       MACHINE=${MACHINE} MACHINE_ARCH=${MACHINE} \
-                       INCLUDEDIR="${INCLUDEDIR}" BINOWN="${BINOWN}" \
-                       BINGRP="${BINGRP}" || die "problem installing $i includes."
-               einfo "$i includes installed ok."
-       done
-}
diff --git a/sys-freebsd/freebsd-lib/metadata.xml b/sys-freebsd/freebsd-lib/metadata.xml
deleted file mode 100644 (file)
index 4fa69d8..0000000
+++ /dev/null
@@ -1,15 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
-  <maintainer type="project">
-    <email>bsd@gentoo.org</email>
-    <name>BSD Project</name>
-  </maintainer>
-  <use>
-    <flag name="netware">
-      Build libraries and tools to work with NetWare protocols (IPX
-      and NCP).
-    </flag>
-    <flag name="zfs">Enable ZFS support.</flag>
-  </use>
-</pkgmetadata>